[Skip to main content](https://docs.gitlab.com/api/project_integrations/#skipTarget) [Go to GitLab Docs homepage](https://docs.gitlab.com/)
`/`
[What's new?](https://about.gitlab.com/releases/whats-new/)
English
  * Language
  * English
  * 日本語


v18.10
  *     * [18.10 (not yet released)](https://docs.gitlab.com/api/project_integrations/)
  *     * [18.9 (recently released)](https://docs.gitlab.com/18.9/api/project_integrations/)
    * [18.8](https://docs.gitlab.com/18.8/api/project_integrations/)
    * [18.7](https://archives.docs.gitlab.com/18.7/api/project_integrations/)
  *     * [17.11](https://archives.docs.gitlab.com/17.11/api/project_integrations/)
    * [16.11](https://archives.docs.gitlab.com/16.11/ee/api/project_integrations.html)
  *     * [Archives](https://docs.gitlab.com/archives)


Select theme and layout
  * Light mode
  * Dark mode
  * Auto


  * Fixed width
  * Fluid width


[What's new?](https://about.gitlab.com/releases/whats-new/) [Get free trial](https://gitlab.com/-/trial_registrations/new?glm_source=docs.gitlab.com&amp;glm_content=navigation-cta-docs)
Toggle menu
  * [Use GitLab](https://docs.gitlab.com/user/)
  * [GitLab Duo](https://docs.gitlab.com/user/gitlab_duo/)
  * [Extend](https://docs.gitlab.com/api/)
  * [Install](https://docs.gitlab.com/install/)
  * [Administer](https://docs.gitlab.com/administration/)
  * [Subscribe](https://docs.gitlab.com/subscriptions/)
  * [Contribute](https://docs.gitlab.com/development/)
  * [Solutions](https://docs.gitlab.com/solutions/)


Select a topicUse GitLab GitLab Duo Extend Install Administer Subscribe Contribute Solutions
[Getting started](https://docs.gitlab.com/api/get_started/get_started_extending/)
[Tutorials](https://docs.gitlab.com/tutorials/develop/)
[Integrations](https://docs.gitlab.com/integration/)
[Webhooks](https://docs.gitlab.com/user/project/integrations/webhooks/)
[REST API](https://docs.gitlab.com/api/rest/)
[Resources](https://docs.gitlab.com/api/api_resources/)
[.gitignore (templates)](https://docs.gitlab.com/api/templates/gitignores/)
[.gitlab-ci.yml (templates)](https://docs.gitlab.com/api/templates/gitlab_ci_ymls/)
[Access requests](https://docs.gitlab.com/api/access_requests/)
[Agent for Kubernetes](https://docs.gitlab.com/api/cluster_agents/)
[AI Catalog admin](https://docs.gitlab.com/api/admin/ai_catalog/)
[Alert management](https://docs.gitlab.com/api/alert_management_alerts/)
[Application appearance](https://docs.gitlab.com/api/appearance/)
[Application settings](https://docs.gitlab.com/api/settings/)
[Application statistics](https://docs.gitlab.com/api/statistics/)
[Applications](https://docs.gitlab.com/api/applications/)
[Attestations](https://docs.gitlab.com/api/attestations/)
[Audit events](https://docs.gitlab.com/api/audit_events/)
[Avatar](https://docs.gitlab.com/api/avatar/)
[Branches](https://docs.gitlab.com/api/branches/)
[Broadcast messages](https://docs.gitlab.com/api/broadcast_messages/)
[Cluster discovery (certificate-based) (deprecated)](https://docs.gitlab.com/api/cluster_discovery/)
[Code Suggestions](https://docs.gitlab.com/api/code_suggestions/)
[Commits](https://docs.gitlab.com/api/commits/)
[Compliance and policy settings](https://docs.gitlab.com/api/compliance_policy_settings/)
[Composer](https://docs.gitlab.com/api/packages/composer/)
[Conan v1](https://docs.gitlab.com/api/packages/conan_v1/)
[Conan v2](https://docs.gitlab.com/api/packages/conan_v2/)
[Container registry](https://docs.gitlab.com/api/container_registry/)
[Container repository protection rules](https://docs.gitlab.com/api/container_repository_protection_rules/)
[Container registry protection tag rules](https://docs.gitlab.com/api/container_registry_protection_tag_rules/)
[Container virtual registry](https://docs.gitlab.com/api/container_virtual_registries/)
[Custom attributes](https://docs.gitlab.com/api/custom_attributes/)
[Database migrations](https://docs.gitlab.com/api/database_migrations/)
[Data management](https://docs.gitlab.com/api/admin/data_management/)
[Debian](https://docs.gitlab.com/api/packages/debian/)
[Debian group distributions](https://docs.gitlab.com/api/packages/debian_group_distributions/)
[Debian project distributions](https://docs.gitlab.com/api/packages/debian_project_distributions/)
[Dependencies](https://docs.gitlab.com/api/dependencies/)
[Dependency list export](https://docs.gitlab.com/api/dependency_list_export/)
[Dependency Proxy](https://docs.gitlab.com/api/dependency_proxy/)
[Deploy keys](https://docs.gitlab.com/api/deploy_keys/)
[Deploy tokens](https://docs.gitlab.com/api/deploy_tokens/)
[Deployments](https://docs.gitlab.com/api/deployments/)
[Discussions](https://docs.gitlab.com/api/discussions/)
[Dockerfile (templates)](https://docs.gitlab.com/api/templates/dockerfiles/)
[DORA4 metrics](https://docs.gitlab.com/api/dora/metrics/)
[Emoji reactions](https://docs.gitlab.com/api/emoji_reactions/)
[Environments](https://docs.gitlab.com/api/environments/)
[Epics (deprecated)](https://docs.gitlab.com/api/epics/)
[Error tracking](https://docs.gitlab.com/api/error_tracking/)
[Events](https://docs.gitlab.com/api/events/)
[Experiments](https://docs.gitlab.com/api/experiments/)
[External status checks](https://docs.gitlab.com/api/status_checks/)
[Feature flags](https://docs.gitlab.com/api/feature_flags/)
[Feature flag user lists](https://docs.gitlab.com/api/feature_flag_user_lists/)
[Freeze periods](https://docs.gitlab.com/api/freeze_periods/)
[Geo nodes (deprecated)](https://docs.gitlab.com/api/geo_nodes/)
[Geo sites](https://docs.gitlab.com/api/geo_sites/)
[GitLab Duo Chat completions](https://docs.gitlab.com/api/chat/)
[GitLab Pages](https://docs.gitlab.com/api/pages/)
[GLQL](https://docs.gitlab.com/api/glql/)
[Go Proxy](https://docs.gitlab.com/api/packages/go_proxy/)
[Google Cloud integration](https://docs.gitlab.com/api/google_cloud_integration/)
[Groups](https://docs.gitlab.com/api/groups/)
[Helm](https://docs.gitlab.com/api/packages/helm/)
[Import](https://docs.gitlab.com/api/import/)
[Instance CI/CD variables](https://docs.gitlab.com/api/instance_level_ci_variables/)
[Invitations](https://docs.gitlab.com/api/invitations/)
[Issues](https://docs.gitlab.com/api/issues/)
[Issues (epic) (deprecated)](https://docs.gitlab.com/api/epic_issues/)
[Issues statistics](https://docs.gitlab.com/api/issues_statistics/)
[Jobs](https://docs.gitlab.com/api/jobs/)
[Job artifacts](https://docs.gitlab.com/api/job_artifacts/)
[Job token scopes](https://docs.gitlab.com/api/project_job_token_scopes/)
[Keys](https://docs.gitlab.com/api/keys/)
[License](https://docs.gitlab.com/api/license/)
[Licenses (templates)](https://docs.gitlab.com/api/templates/licenses/)
[Linked epics (deprecated)](https://docs.gitlab.com/api/linked_epics/)
[Links (issue)](https://docs.gitlab.com/api/issue_links/)
[Links (epic) (deprecated)](https://docs.gitlab.com/api/epic_links/)
[Lint .gitlab-ci.yml](https://docs.gitlab.com/api/lint/)
[Markdown](https://docs.gitlab.com/api/markdown/)
[Maven](https://docs.gitlab.com/api/packages/maven/)
[Maven virtual registry](https://docs.gitlab.com/api/maven_virtual_registries/)
[Member roles](https://docs.gitlab.com/api/member_roles/)
[Merge request approvals](https://docs.gitlab.com/api/merge_request_approvals/)
[Merge request approval settings](https://docs.gitlab.com/api/merge_request_approval_settings/)
[Merge request context commits](https://docs.gitlab.com/api/merge_request_context_commits/)
[Merge requests](https://docs.gitlab.com/api/merge_requests/)
[Merge trains](https://docs.gitlab.com/api/merge_trains/)
[Metadata](https://docs.gitlab.com/api/metadata/)
[Model registry](https://docs.gitlab.com/api/model_registry/)
[Namespaces](https://docs.gitlab.com/api/namespaces/)
[Notes (comments)](https://docs.gitlab.com/api/notes/)
[Notification settings](https://docs.gitlab.com/api/notification_settings/)
[npm](https://docs.gitlab.com/api/packages/npm/)
[NuGet](https://docs.gitlab.com/api/packages/nuget/)
[Organizations](https://docs.gitlab.com/api/organizations/)
[Packages](https://docs.gitlab.com/api/packages/)
[Pages domains](https://docs.gitlab.com/api/pages_domains/)
[Personal access tokens](https://docs.gitlab.com/api/personal_access_tokens/)
[Pipeline schedules](https://docs.gitlab.com/api/pipeline_schedules/)
[Pipeline trigger tokens](https://docs.gitlab.com/api/pipeline_triggers/)
[Pipelines](https://docs.gitlab.com/api/pipelines/)
[Plan limits](https://docs.gitlab.com/api/plan_limits/)
[Product analytics](https://docs.gitlab.com/api/product_analytics/)
[Projects](https://docs.gitlab.com/api/projects/)
[Access tokens](https://docs.gitlab.com/api/project_access_tokens/)
[Aliases](https://docs.gitlab.com/api/project_aliases/)
[Badges](https://docs.gitlab.com/api/project_badges/)
[CI/CD variables](https://docs.gitlab.com/api/project_level_variables/)
[Forks](https://docs.gitlab.com/api/project_forks/)
[Import and export](https://docs.gitlab.com/api/project_import_export/)
[Integrations](https://docs.gitlab.com/api/project_integrations/)
[Issue boards](https://docs.gitlab.com/api/boards/)
[Iterations](https://docs.gitlab.com/api/iterations/)
[Labels](https://docs.gitlab.com/api/labels/)
[Members](https://docs.gitlab.com/api/project_members/)
[Markdown uploads](https://docs.gitlab.com/api/project_markdown_uploads/)
[Milestones](https://docs.gitlab.com/api/milestones/)
[Project starring](https://docs.gitlab.com/api/project_starring/)
[Protected branches](https://docs.gitlab.com/api/protected_branches/)
[Protected environments](https://docs.gitlab.com/api/protected_environments/)
[Protected packages](https://docs.gitlab.com/api/project_packages_protection_rules/)
[Protected tags](https://docs.gitlab.com/api/protected_tags/)
[Pull mirroring](https://docs.gitlab.com/api/project_pull_mirroring/)
[Push rules](https://docs.gitlab.com/api/project_push_rules/)
[Relations export](https://docs.gitlab.com/api/project_relations_export/)
[Releases](https://docs.gitlab.com/api/releases/)
[Release links](https://docs.gitlab.com/api/releases/links/)
[Remote mirrors](https://docs.gitlab.com/api/remote_mirrors/)
[Repository storage moves](https://docs.gitlab.com/api/project_repository_storage_moves/)
[Security settings](https://docs.gitlab.com/api/project_security_settings/)
[Snippets](https://docs.gitlab.com/api/project_snippets/)
[Statistics](https://docs.gitlab.com/api/project_statistics/)
[Templates](https://docs.gitlab.com/api/project_templates/)
[Vulnerabilities](https://docs.gitlab.com/api/project_vulnerabilities/)
[Webhooks](https://docs.gitlab.com/api/project_webhooks/)
[Wikis](https://docs.gitlab.com/api/wikis/)
[PyPI](https://docs.gitlab.com/api/packages/pypi/)
[Repositories](https://docs.gitlab.com/api/repositories/)
[Repository files](https://docs.gitlab.com/api/repository_files/)
[Repository submodules](https://docs.gitlab.com/api/repository_submodules/)
[Resource group](https://docs.gitlab.com/api/resource_groups/)
[Resource iteration events](https://docs.gitlab.com/api/resource_iteration_events/)
[Resource label events](https://docs.gitlab.com/api/resource_label_events/)
[Resource milestone events](https://docs.gitlab.com/api/resource_milestone_events/)
[Resource state events](https://docs.gitlab.com/api/resource_state_events/)
[Resource weight events](https://docs.gitlab.com/api/resource_weight_events/)
[Ruby gems](https://docs.gitlab.com/api/packages/rubygems/)
[Runners](https://docs.gitlab.com/api/runners/)
[Runner controllers](https://docs.gitlab.com/api/runner_controllers/)
[Runner controller tokens](https://docs.gitlab.com/api/runner_controller_tokens/)
[Search](https://docs.gitlab.com/api/search/)
[Search migrations](https://docs.gitlab.com/api/search_admin/)
[Secure files](https://docs.gitlab.com/api/secure_files/)
[Service accounts](https://docs.gitlab.com/api/service_accounts/)
[Service Ping](https://docs.gitlab.com/api/usage_data/)
[Sidekiq metrics](https://docs.gitlab.com/api/sidekiq_metrics/)
[Sidekiq queues](https://docs.gitlab.com/api/admin_sidekiq_queues/)
[Snippet repository storage moves](https://docs.gitlab.com/api/snippet_repository_storage_moves/)
[Snippets](https://docs.gitlab.com/api/snippets/)
[Suggestions](https://docs.gitlab.com/api/suggestions/)
[System hooks](https://docs.gitlab.com/api/system_hooks/)
[Tags](https://docs.gitlab.com/api/tags/)
[Terraform registry](https://docs.gitlab.com/api/packages/terraform-modules/)
[To-Do List](https://docs.gitlab.com/api/todos/)
[Token information](https://docs.gitlab.com/api/admin/token/)
[Topics](https://docs.gitlab.com/api/topics/)
[Users](https://docs.gitlab.com/api/users/)
[Version](https://docs.gitlab.com/api/version/)
[Virtual registries cleanup policies](https://docs.gitlab.com/api/virtual_registries_cleanup_policies/)
[Vulnerabilities](https://docs.gitlab.com/api/vulnerabilities/)
[Vulnerability archive export](https://docs.gitlab.com/api/vulnerability_archive_exports/)
[Vulnerability export](https://docs.gitlab.com/api/vulnerability_exports/)
[Vulnerability findings](https://docs.gitlab.com/api/vulnerability_findings/)
[Web commits](https://docs.gitlab.com/api/web_commits/)
[Authentication](https://docs.gitlab.com/api/rest/authentication/)
[Third-party clients](https://docs.gitlab.com/api/rest/third_party_clients/)
[Deprecations and removals](https://docs.gitlab.com/api/rest/deprecations/)
[OpenAPI](https://docs.gitlab.com/api/openapi/openapi_interactive/)
[Automate storage management](https://docs.gitlab.com/user/storage_management_automation/)
[Troubleshooting](https://docs.gitlab.com/api/rest/troubleshooting/)
[GraphQL API](https://docs.gitlab.com/api/graphql/)
[OAuth 2.0 identity provider API](https://docs.gitlab.com/api/oauth2/)
[GitLab Duo CLI (duo)](https://docs.gitlab.com/user/gitlab_duo_cli/)
[GitLab CLI (glab)](https://docs.gitlab.com/cli/)
[Editor and IDE extensions](https://docs.gitlab.com/editor_extensions/)
/
  1. [GitLab Docs](https://docs.gitlab.com/)
  2. [Extend](https://docs.gitlab.com/api/)
  3. [REST API](https://docs.gitlab.com/api/rest/)
  4. [Resources](https://docs.gitlab.com/api/api_resources/)
  5. [Projects](https://docs.gitlab.com/api/projects/)
  6. [Integrations](https://docs.gitlab.com/api/project_integrations/)


* * *
# Project integrations API
  * Tier: Free, Premium, Ultimate
  * Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated


Use this API to manage [integrations](https://docs.gitlab.com/user/project/integrations/) for a project.
Prerequisites:
  * You must have the Maintainer or Owner role for the project.


## List all active integrations[](https://docs.gitlab.com/api/project_integrations/#list-all-active-integrations "Permalink")
History
  * `vulnerability_events` field [introduced](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/131831) in GitLab 16.4.
  * `inherited` field [introduced](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/154915) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `inherited` field [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


Get a list of all active project integrations. The `vulnerability_events` field is only available for GitLab Enterprise Edition.
```
GET /projects/:id/integrations
```

Example response:
json
```
[
  {
    "id": 75,
    "title": "Jenkins CI",
    "slug": "jenkins",
    "created_at": "2019-11-20T11:20:25.297Z",
    "updated_at": "2019-11-20T12:24:37.498Z",
    "active": true,
    "commit_events": true,
    "push_events": true,
    "issues_events": true,
    "alert_events": true,
    "confidential_issues_events": true,
    "merge_requests_events": true,
    "tag_push_events": false,
    "deployment_events": false,
    "note_events": true,
    "confidential_note_events": true,
    "pipeline_events": true,
    "wiki_page_events": true,
    "job_events": true,
    "comment_on_event_enabled": true,
    "inherited": false,
    "vulnerability_events": true
  },
  {
    "id": 76,
    "title": "Alerts endpoint",
    "slug": "alerts",
    "created_at": "2019-11-20T11:20:25.297Z",
    "updated_at": "2019-11-20T12:24:37.498Z",
    "active": true,
    "commit_events": true,
    "push_events": true,
    "issues_events": true,
    "alert_events": true,
    "confidential_issues_events": true,
    "merge_requests_events": true,
    "tag_push_events": true,
    "deployment_events": false,
    "note_events": true,
    "confidential_note_events": true,
    "pipeline_events": true,
    "wiki_page_events": true,
    "job_events": true,
    "comment_on_event_enabled": true,
    "inherited": false,
    "vulnerability_events": true
  }
]
```

## Apple App Store Connect[](https://docs.gitlab.com/api/project_integrations/#apple-app-store-connect "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Apple App Store Connect[](https://docs.gitlab.com/api/project_integrations/#set-up-apple-app-store-connect "Permalink")
Set up the Apple App Store Connect integration for a project.
```
PUT /projects/:id/integrations/apple_app_store
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`app_store_issuer_id` | string | yes | Apple App Store Connect issuer ID.
`app_store_key_id` | string | yes | Apple App Store Connect key ID.
`app_store_private_key_file_name` | string | yes | Apple App Store Connect private key filename.
`app_store_private_key` | string | yes | Apple App Store Connect private key.
`app_store_protected_refs` | boolean | no | Set variables on protected branches and tags only.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Apple App Store Connect[](https://docs.gitlab.com/api/project_integrations/#disable-apple-app-store-connect "Permalink")
Disable the Apple App Store Connect integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/apple_app_store
```

### Get Apple App Store Connect settings[](https://docs.gitlab.com/api/project_integrations/#get-apple-app-store-connect-settings "Permalink")
Get the Apple App Store Connect integration settings for a project.
```
GET /projects/:id/integrations/apple_app_store
```

## Asana[](https://docs.gitlab.com/api/project_integrations/#asana "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Asana[](https://docs.gitlab.com/api/project_integrations/#set-up-asana "Permalink")
Set up the Asana integration for a project.
```
PUT /projects/:id/integrations/asana
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`api_key` | string | yes | User API token. The user must have access to the task. All comments are attributed to this user.
`restrict_to_branch` | string | no | Comma-separated list of branches to be automatically inspected. Leave blank to include all branches.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Asana[](https://docs.gitlab.com/api/project_integrations/#disable-asana "Permalink")
Disable the Asana integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/asana
```

### Get Asana settings[](https://docs.gitlab.com/api/project_integrations/#get-asana-settings "Permalink")
Get the Asana integration settings for a project.
```
GET /projects/:id/integrations/asana
```

## Assembla[](https://docs.gitlab.com/api/project_integrations/#assembla "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Assembla[](https://docs.gitlab.com/api/project_integrations/#set-up-assembla "Permalink")
Set up the Assembla integration for a project.
```
PUT /projects/:id/integrations/assembla
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | The authentication token.
`subdomain` | string | no | The subdomain setting.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Assembla[](https://docs.gitlab.com/api/project_integrations/#disable-assembla "Permalink")
Disable the Assembla integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/assembla
```

### Get Assembla settings[](https://docs.gitlab.com/api/project_integrations/#get-assembla-settings "Permalink")
Get the Assembla integration settings for a project.
```
GET /projects/:id/integrations/assembla
```

## Atlassian Bamboo[](https://docs.gitlab.com/api/project_integrations/#atlassian-bamboo "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Atlassian Bamboo[](https://docs.gitlab.com/api/project_integrations/#set-up-atlassian-bamboo "Permalink")
Set up the Atlassian Bamboo integration for a project.
You must configure automatic revision labeling and a repository trigger in Bamboo.
```
PUT /projects/:id/integrations/bamboo
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`bamboo_url` | string | yes | Bamboo root URL (for example, `https://bamboo.example.com`).
`enable_ssl_verification` | boolean | no | Enable SSL verification. Defaults to `true` (enabled).
`build_key` | string | yes | Bamboo build plan key (for example, `KEY`).
`username` | string | yes | User with API access to the Bamboo server.
`password` | string | yes | Password of the user.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Atlassian Bamboo[](https://docs.gitlab.com/api/project_integrations/#disable-atlassian-bamboo "Permalink")
Disable the Atlassian Bamboo integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/bamboo
```

### Get Atlassian Bamboo settings[](https://docs.gitlab.com/api/project_integrations/#get-atlassian-bamboo-settings "Permalink")
Get the Atlassian Bamboo integration settings for a project.
```
GET /projects/:id/integrations/bamboo
```

## Bugzilla[](https://docs.gitlab.com/api/project_integrations/#bugzilla "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Bugzilla[](https://docs.gitlab.com/api/project_integrations/#set-up-bugzilla "Permalink")
Set up the Bugzilla integration for a project.
```
PUT /projects/:id/integrations/bugzilla
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`new_issue_url` | string | yes | URL of the new issue.
`issues_url` | string | yes | URL of the issue.
`project_url` | string | yes | URL of the project.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Bugzilla[](https://docs.gitlab.com/api/project_integrations/#disable-bugzilla "Permalink")
Disable the Bugzilla integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/bugzilla
```

### Get Bugzilla settings[](https://docs.gitlab.com/api/project_integrations/#get-bugzilla-settings "Permalink")
Get the Bugzilla integration settings for a project.
```
GET /projects/:id/integrations/bugzilla
```

## Buildkite[](https://docs.gitlab.com/api/project_integrations/#buildkite "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Buildkite[](https://docs.gitlab.com/api/project_integrations/#set-up-buildkite "Permalink")
Set up the Buildkite integration for a project.
```
PUT /projects/:id/integrations/buildkite
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | Token you get after you create a Buildkite pipeline with a GitLab repository.
`project_url` | string | yes | Pipeline URL (for example, `https://buildkite.com/example/pipeline`).
`enable_ssl_verification` | boolean | no |  **Deprecated** : This parameter has no effect because SSL verification is always enabled.
`push_events` | boolean | no | Enable notifications for push events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Buildkite[](https://docs.gitlab.com/api/project_integrations/#disable-buildkite "Permalink")
Disable the Buildkite integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/buildkite
```

### Get Buildkite settings[](https://docs.gitlab.com/api/project_integrations/#get-buildkite-settings "Permalink")
Get the Buildkite integration settings for a project.
```
GET /projects/:id/integrations/buildkite
```

## Campfire Classic[](https://docs.gitlab.com/api/project_integrations/#campfire-classic "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


You can integrate with Campfire Classic. However, Campfire Classic is an old product that is [no longer sold](https://gitlab.com/gitlab-org/gitlab/-/issues/329337) by Basecamp.
### Set up Campfire Classic[](https://docs.gitlab.com/api/project_integrations/#set-up-campfire-classic "Permalink")
Set up the Campfire Classic integration for a project.
```
PUT /projects/:id/integrations/campfire
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | API authentication token from Campfire Classic. To get the token, sign in to Campfire Classic and select **My info**.
`subdomain` | string | no |  `.campfirenow.com` subdomain when you’re signed in.
`room` | string | no | ID portion of the Campfire Classic room URL.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Campfire Classic[](https://docs.gitlab.com/api/project_integrations/#disable-campfire-classic "Permalink")
Disable the Campfire Classic integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/campfire
```

### Get Campfire Classic settings[](https://docs.gitlab.com/api/project_integrations/#get-campfire-classic-settings "Permalink")
Get the Campfire Classic integration settings for a project.
```
GET /projects/:id/integrations/campfire
```

## ClickUp[](https://docs.gitlab.com/api/project_integrations/#clickup "Permalink")
History
  * [Introduced](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/120732) in GitLab 16.1.
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up ClickUp[](https://docs.gitlab.com/api/project_integrations/#set-up-clickup "Permalink")
Set up the ClickUp integration for a project.
```
PUT /projects/:id/integrations/clickup
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`issues_url` | string | yes | URL of the issue.
`project_url` | string | yes | URL of the project.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable ClickUp[](https://docs.gitlab.com/api/project_integrations/#disable-clickup "Permalink")
Disable the ClickUp integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/clickup
```

### Get ClickUp settings[](https://docs.gitlab.com/api/project_integrations/#get-clickup-settings "Permalink")
Get the ClickUp integration settings for a project.
```
GET /projects/:id/integrations/clickup
```

## Confluence Workspace[](https://docs.gitlab.com/api/project_integrations/#confluence-workspace "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


Use a Confluence Cloud Workspace as your project wiki.
### Set up Confluence Workspace[](https://docs.gitlab.com/api/project_integrations/#set-up-confluence-workspace "Permalink")
Set up the Confluence Workspace integration for a project.
```
PUT /projects/:id/integrations/confluence
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`confluence_url` | string | yes | URL of the Confluence Workspace hosted on `atlassian.net`.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Confluence Workspace[](https://docs.gitlab.com/api/project_integrations/#disable-confluence-workspace "Permalink")
Disable the Confluence Workspace integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/confluence
```

### Get Confluence Workspace settings[](https://docs.gitlab.com/api/project_integrations/#get-confluence-workspace-settings "Permalink")
Get the Confluence Workspace integration settings for a project.
```
GET /projects/:id/integrations/confluence
```

## Custom issue tracker[](https://docs.gitlab.com/api/project_integrations/#custom-issue-tracker "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up a custom issue tracker[](https://docs.gitlab.com/api/project_integrations/#set-up-a-custom-issue-tracker "Permalink")
Set up a custom issue tracker for a project.
```
PUT /projects/:id/integrations/custom-issue-tracker
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`new_issue_url` | string | yes | URL of the new issue.
`issues_url` | string | yes | URL of the issue.
`project_url` | string | yes | URL of the project.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable a custom issue tracker[](https://docs.gitlab.com/api/project_integrations/#disable-a-custom-issue-tracker "Permalink")
Disable a custom issue tracker for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/custom-issue-tracker
```

### Get custom issue tracker settings[](https://docs.gitlab.com/api/project_integrations/#get-custom-issue-tracker-settings "Permalink")
Get the custom issue tracker settings for a project.
```
GET /projects/:id/integrations/custom-issue-tracker
```

## Datadog[](https://docs.gitlab.com/api/project_integrations/#datadog "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Datadog[](https://docs.gitlab.com/api/project_integrations/#set-up-datadog "Permalink")
Set up the Datadog integration for a project.
```
PUT /projects/:id/integrations/datadog
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`api_key` | string | yes |  [API key](https://docs.datadoghq.com/account_management/api-app-keys/) used for authentication with Datadog.
`datadog_ci_visibility` | boolean | yes | Enables collection of pipeline and job events in Datadog to display pipeline execution traces.
`api_url` | string | no | Full URL of your Datadog site.
`datadog_env` | string | no | For self-managed deployments, `env%` tag for all the data sent to Datadog.
`datadog_service` | string | no | GitLab instance to tag all data from in Datadog. Can be used when managing several self-managed deployments.
`datadog_site` | string | no | Datadog site to send data to. To send data to the EU site, use `datadoghq.eu`.
`datadog_tags` | string | no | Custom tags in Datadog. Specify one tag per line in the format `key:value\nkey2:value2`.
`archive_trace_events` | boolean | no | When enabled, job logs are collected by Datadog and displayed along with pipeline execution traces ([introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/346339) in GitLab 15.3).
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Datadog[](https://docs.gitlab.com/api/project_integrations/#disable-datadog "Permalink")
Disable the Datadog integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/datadog
```

### Get Datadog settings[](https://docs.gitlab.com/api/project_integrations/#get-datadog-settings "Permalink")
Get the Datadog integration settings for a project.
```
GET /projects/:id/integrations/datadog
```

## Diffblue Cover[](https://docs.gitlab.com/api/project_integrations/#diffblue-cover "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Diffblue Cover[](https://docs.gitlab.com/api/project_integrations/#set-up-diffblue-cover "Permalink")
Set up the Diffblue Cover integration for a project.
```
PUT /projects/:id/integrations/diffblue-cover
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`diffblue_license_key` | string | yes | Diffblue Cover license key.
`diffblue_access_token_name` | string | yes | Access token name used by Diffblue Cover in pipelines.
`diffblue_access_token_secret` | string | yes | Access token secret used by Diffblue Cover in pipelines.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Diffblue Cover[](https://docs.gitlab.com/api/project_integrations/#disable-diffblue-cover "Permalink")
Disable the Diffblue Cover integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/diffblue-cover
```

### Get Diffblue Cover settings[](https://docs.gitlab.com/api/project_integrations/#get-diffblue-cover-settings "Permalink")
Get the Diffblue Cover integration settings for a project.
```
GET /projects/:id/integrations/diffblue-cover
```

## Discord Notifications[](https://docs.gitlab.com/api/project_integrations/#discord-notifications "Permalink")
History
  * `_channel` parameters [introduced](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/125621) in GitLab 16.3.
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Discord Notifications[](https://docs.gitlab.com/api/project_integrations/#set-up-discord-notifications "Permalink")
Set up Discord Notifications for a project.
```
PUT /projects/:id/integrations/discord
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | Discord webhook (for example, `https://discord.com/api/webhooks/...`).
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`confidential_issue_channel` | string | no | The webhook override to receive notifications for confidential issue events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`confidential_note_channel` | string | no | The webhook override to receive notifications for confidential note events.
`deployment_events` | boolean | no | Enable notifications for deployment events.
`deployment_channel` | string | no | The webhook override to receive notifications for deployment events.
`group_confidential_mentions_events` | boolean | no | Enable notifications for group confidential mention events.
`group_confidential_mentions_channel` | string | no | The webhook override to receive notifications for group confidential mention events.
`group_mentions_events` | boolean | no | Enable notifications for group mention events.
`group_mentions_channel` | string | no | The webhook override to receive notifications for group mention events.
`issues_events` | boolean | no | Enable notifications for issue events.
`issue_channel` | string | no | The webhook override to receive notifications for issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`merge_request_channel` | string | no | The webhook override to receive notifications for merge request events.
`note_events` | boolean | no | Enable notifications for note events.
`note_channel` | string | no | The webhook override to receive notifications for note events.
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`pipeline_channel` | string | no | The webhook override to receive notifications for pipeline events.
`push_events` | boolean | no | Enable notifications for push events.
`push_channel` | string | no | The webhook override to receive notifications for push events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`tag_push_channel` | string | no | The webhook override to receive notifications for tag push events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`wiki_page_channel` | string | no | The webhook override to receive notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Discord Notifications[](https://docs.gitlab.com/api/project_integrations/#disable-discord-notifications "Permalink")
Disable Discord Notifications for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/discord
```

### Get Discord Notifications settings[](https://docs.gitlab.com/api/project_integrations/#get-discord-notifications-settings "Permalink")
Get the Discord Notifications settings for a project.
```
GET /projects/:id/integrations/discord
```

## Drone[](https://docs.gitlab.com/api/project_integrations/#drone "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Drone[](https://docs.gitlab.com/api/project_integrations/#set-up-drone "Permalink")
Set up the Drone integration for a project.
```
PUT /projects/:id/integrations/drone-ci
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | Drone CI token.
`drone_url` | string | yes | Drone CI URL (for example, `http://drone.example.com`).
`enable_ssl_verification` | boolean | no | Enable SSL verification. Defaults to `true` (enabled).
`push_events` | boolean | no | Enable notifications for push events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Drone[](https://docs.gitlab.com/api/project_integrations/#disable-drone "Permalink")
Disable the Drone integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/drone-ci
```

### Get Drone settings[](https://docs.gitlab.com/api/project_integrations/#get-drone-settings "Permalink")
Get the Drone integration settings for a project.
```
GET /projects/:id/integrations/drone-ci
```

## Emails on push[](https://docs.gitlab.com/api/project_integrations/#emails-on-push "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up emails on push[](https://docs.gitlab.com/api/project_integrations/#set-up-emails-on-push "Permalink")
Set up the emails on push integration for a project.
```
PUT /projects/:id/integrations/emails-on-push
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`recipients` | string | yes | Emails separated by whitespace.
`disable_diffs` | boolean | no | Disable code diffs.
`send_from_committer_email` | boolean | no | Send from committer.
`push_events` | boolean | no | Enable notifications for push events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. Notifications are always fired for tag pushes. The default value is `all`.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable emails on push[](https://docs.gitlab.com/api/project_integrations/#disable-emails-on-push "Permalink")
Disable the emails on push integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/emails-on-push
```

### Get emails on push settings[](https://docs.gitlab.com/api/project_integrations/#get-emails-on-push-settings "Permalink")
Get the emails on push integration settings for a project.
```
GET /projects/:id/integrations/emails-on-push
```

## Engineering Workflow Management (EWM)[](https://docs.gitlab.com/api/project_integrations/#engineering-workflow-management-ewm "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up EWM[](https://docs.gitlab.com/api/project_integrations/#set-up-ewm "Permalink")
Set up the EWM integration for a project.
```
PUT /projects/:id/integrations/ewm
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`new_issue_url` | string | yes | URL of the new issue.
`project_url` | string | yes | URL of the project.
`issues_url` | string | yes | URL of the issue.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable EWM[](https://docs.gitlab.com/api/project_integrations/#disable-ewm "Permalink")
Disable the EWM integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/ewm
```

### Get EWM settings[](https://docs.gitlab.com/api/project_integrations/#get-ewm-settings "Permalink")
Get the EWM integration settings for a project.
```
GET /projects/:id/integrations/ewm
```

## External wiki[](https://docs.gitlab.com/api/project_integrations/#external-wiki "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up an external wiki[](https://docs.gitlab.com/api/project_integrations/#set-up-an-external-wiki "Permalink")
Set up an external wiki for a project.
```
PUT /projects/:id/integrations/external-wiki
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`external_wiki_url` | string | yes | URL of the external wiki.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable an external wiki[](https://docs.gitlab.com/api/project_integrations/#disable-an-external-wiki "Permalink")
Disable an external wiki for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/external-wiki
```

### Get external wiki settings[](https://docs.gitlab.com/api/project_integrations/#get-external-wiki-settings "Permalink")
Get the external wiki settings for a project.
```
GET /projects/:id/integrations/external-wiki
```

## GitGuardian[](https://docs.gitlab.com/api/project_integrations/#gitguardian "Permalink")
  * Tier: Premium, Ultimate
  * Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated


History
  * [Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/435706) in GitLab 16.9 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `git_guardian_integration`. Enabled by default. Disabled on GitLab.com.
  * [Enabled on GitLab.com](https://gitlab.com/gitlab-org/gitlab/-/issues/438695#note_2226917025) in GitLab 17.7.
  * [Generally available](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/176391) in GitLab 17.8. Feature flag `git_guardian_integration` removed.
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


[GitGuardian](https://www.gitguardian.com/) is a cybersecurity service that detects sensitive data such as API keys and passwords in source code repositories. It scans Git repositories, alerts on policy violations, and helps organizations fix security issues before hackers can exploit them.
You can configure GitLab to reject commits based on GitGuardian policies.
For known issues and troubleshooting steps, see [GitGuardian troubleshooting](https://docs.gitlab.com/user/project/integrations/git_guardian/#troubleshooting).
### Set up GitGuardian[](https://docs.gitlab.com/api/project_integrations/#set-up-gitguardian "Permalink")
Set up the GitGuardian integration for a project.
```
PUT /projects/:id/integrations/git-guardian
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | GitGuardian API token with `scan` scope.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable GitGuardian[](https://docs.gitlab.com/api/project_integrations/#disable-gitguardian "Permalink")
Disable the GitGuardian integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/git-guardian
```

### Get GitGuardian settings[](https://docs.gitlab.com/api/project_integrations/#get-gitguardian-settings "Permalink")
Get the GitGuardian integration settings for a project.
```
GET /projects/:id/integrations/git-guardian
```

## GitHub[](https://docs.gitlab.com/api/project_integrations/#github "Permalink")
  * Tier: Premium, Ultimate
  * Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated


History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up GitHub[](https://docs.gitlab.com/api/project_integrations/#set-up-github "Permalink")
Set up the GitHub integration for a project.
```
PUT /projects/:id/integrations/github
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | GitHub API token with `repo:status` OAuth scope.
`repository_url` | string | yes | GitHub repository URL.
`static_context` | boolean | no | Append the hostname of your GitLab instance to the [status check name](https://docs.gitlab.com/user/project/integrations/github/#static-or-dynamic-status-check-names).
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable GitHub[](https://docs.gitlab.com/api/project_integrations/#disable-github "Permalink")
Disable the GitHub integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/github
```

### Get GitHub settings[](https://docs.gitlab.com/api/project_integrations/#get-github-settings "Permalink")
Get the GitHub integration settings for a project.
```
GET /projects/:id/integrations/github
```

## GitLab for Jira Cloud app[](https://docs.gitlab.com/api/project_integrations/#gitlab-for-jira-cloud-app "Permalink")
The GitLab for Jira Cloud app integration is enabled or disabled automatically through [group linking and unlinking in Jira](https://docs.gitlab.com/integration/jira/connect-app/#configure-the-gitlab-for-jira-cloud-app). You cannot enable or disable the integration with the GitLab integrations form or the API.
### Update integration for a project[](https://docs.gitlab.com/api/project_integrations/#update-integration-for-a-project "Permalink")
Use this API endpoint to update an integration you create with group linking in Jira.
```
PUT /projects/:id/integrations/jira-cloud-app
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`jira_cloud_app_service_ids` | string | no | Jira Service Management Service IDs. Use commas (`,`) to separate multiple IDs.
`jira_cloud_app_enable_deployment_gating` | boolean | no | Enables deployment gating for blocked GitLab deployments from Jira Service Management.
`jira_cloud_app_deployment_gating_environments` | string | no | The environments (production, staging, testing, or development) to enable deployment gating. Required if deployment gating is enabled. Use commas (`,`) to separate multiple environments.
### Get GitLab for Jira Cloud app settings[](https://docs.gitlab.com/api/project_integrations/#get-gitlab-for-jira-cloud-app-settings "Permalink")
Get the GitLab for Jira Cloud app integration settings for a project.
```
GET /projects/:id/integrations/jira-cloud-app
```

## GitLab for Slack app[](https://docs.gitlab.com/api/project_integrations/#gitlab-for-slack-app "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up GitLab for Slack app[](https://docs.gitlab.com/api/project_integrations/#set-up-gitlab-for-slack-app "Permalink")
Update the GitLab for Slack app integration for a project.
You cannot create a GitLab for Slack app through the API because the integration requires an OAuth 2.0 token that you cannot get from the GitLab API alone. Instead, you must [install the app](https://docs.gitlab.com/user/project/integrations/gitlab_slack_application/#install-the-gitlab-for-slack-app) from the GitLab UI. You can then use this API endpoint to update the integration.
```
PUT /projects/:id/integrations/gitlab-slack-application
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`channel` | string | no | Default channel to use if no other channel is configured.
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`notify_only_default_branch` | boolean | no |  **Deprecated** : This parameter has been replaced with `branches_to_be_notified`.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`alert_events` | boolean | no | Enable notifications for alert events.
`issues_events` | boolean | no | Enable notifications for issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`note_events` | boolean | no | Enable notifications for note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`deployment_events` | boolean | no | Enable notifications for deployment events.
`incidents_events` | boolean | no | Enable notifications for incident events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`push_events` | boolean | no | Enable notifications for push events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`vulnerability_events` | boolean | no | Enable notifications for vulnerability events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`labels_to_be_notified` | string | no | Labels to send notifications for. If not set, receive notifications for all events.
`labels_to_be_notified_behavior` | string | no | Labels to be notified for. Valid options are `match_any` and `match_all`. Defaults to `match_any`.
`push_channel` | string | no | Name of the channel to receive notifications for push events.
`issue_channel` | string | no | Name of the channel to receive notifications for issue events.
`confidential_issue_channel` | string | no | Name of the channel to receive notifications for confidential issue events.
`merge_request_channel` | string | no | Name of the channel to receive notifications for merge request events.
`note_channel` | string | no | Name of the channel to receive notifications for note events.
`confidential_note_channel` | string | no | Name of the channel to receive notifications for confidential note events.
`tag_push_channel` | string | no | Name of the channel to receive notifications for tag push events.
`pipeline_channel` | string | no | Name of the channel to receive notifications for pipeline events.
`wiki_page_channel` | string | no | Name of the channel to receive notifications for wiki page events.
`deployment_channel` | string | no | Name of the channel to receive notifications for deployment events.
`incident_channel` | string | no | Name of the channel to receive notifications for incident events.
`vulnerability_channel` | string | no | Name of the channel to receive notifications for vulnerability events.
`alert_channel` | string | no | Name of the channel to receive notifications for alert events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable GitLab for Slack app[](https://docs.gitlab.com/api/project_integrations/#disable-gitlab-for-slack-app "Permalink")
Disable the GitLab for Slack app integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/gitlab-slack-application
```

### Get GitLab for Slack app settings[](https://docs.gitlab.com/api/project_integrations/#get-gitlab-for-slack-app-settings "Permalink")
Get the GitLab for Slack app integration settings for a project.
```
GET /projects/:id/integrations/gitlab-slack-application
```

## Google Chat[](https://docs.gitlab.com/api/project_integrations/#google-chat "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Google Chat[](https://docs.gitlab.com/api/project_integrations/#set-up-google-chat "Permalink")
Set up the Google Chat integration for a project.
```
PUT /projects/:id/integrations/hangouts-chat
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | The Hangouts Chat webhook (for example, `https://chat.googleapis.com/v1/spaces...`).
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`notify_only_default_branch` | boolean | no |  **Deprecated** : This parameter has been replaced with `branches_to_be_notified`.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`push_events` | boolean | no | Enable notifications for push events.
`issues_events` | boolean | no | Enable notifications for issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`note_events` | boolean | no | Enable notifications for note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Google Chat[](https://docs.gitlab.com/api/project_integrations/#disable-google-chat "Permalink")
Disable the Google Chat integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/hangouts-chat
```

### Get Google Chat settings[](https://docs.gitlab.com/api/project_integrations/#get-google-chat-settings "Permalink")
Get the Google Chat integration settings for a project.
```
GET /projects/:id/integrations/hangouts-chat
```

## Google Artifact Management[](https://docs.gitlab.com/api/project_integrations/#google-artifact-management "Permalink")
  * Tier: Free, Premium, Ultimate
  * Offering: GitLab.com
  * Status: Beta


History
  * [Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/425066) in GitLab 16.9 as a [beta](https://docs.gitlab.com/policy/development_stages_support/) feature [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `google_cloud_support_feature_flag`. Disabled by default.
  * [Enabled on GitLab.com](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/150472) in GitLab 17.1. Feature flag `google_cloud_support_feature_flag` removed.
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


This feature is in [beta](https://docs.gitlab.com/policy/development_stages_support/).
### Set up Google Artifact Management[](https://docs.gitlab.com/api/project_integrations/#set-up-google-artifact-management "Permalink")
Set up the Google Artifact Management integration for a project.
```
PUT /projects/:id/integrations/google-cloud-platform-artifact-registry
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`artifact_registry_project_id` | string | yes | ID of the Google Cloud project.
`artifact_registry_location` | string | yes | Location of the Artifact Registry repository.
`artifact_registry_repositories` | string | yes | Repository of Artifact Registry.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Google Artifact Management[](https://docs.gitlab.com/api/project_integrations/#disable-google-artifact-management "Permalink")
Disable the Google Artifact Management integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/google-cloud-platform-artifact-registry
```

### Get Google Artifact Management settings[](https://docs.gitlab.com/api/project_integrations/#get-google-artifact-management-settings "Permalink")
Get the Google Artifact Management integration settings for a project.
```
GET /projects/:id/integrations/google-cloud-platform-artifact-registry
```

## Google Cloud Identity and Access Management (IAM)[](https://docs.gitlab.com/api/project_integrations/#google-cloud-identity-and-access-management-iam "Permalink")
  * Tier: Free, Premium, Ultimate
  * Offering: GitLab.com
  * Status: Beta


History
  * Introduced in GitLab 16.10 as a [beta](https://docs.gitlab.com/policy/development_stages_support/) feature [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `google_cloud_support_feature_flag`. Disabled by default.
  * [Enabled on GitLab.com](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/150472) in GitLab 17.1. Feature flag `google_cloud_support_feature_flag` removed.
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


This feature is in [beta](https://docs.gitlab.com/policy/development_stages_support/).
### Set up Google Cloud Identity and Access Management[](https://docs.gitlab.com/api/project_integrations/#set-up-google-cloud-identity-and-access-management "Permalink")
Set up the Google Cloud Identity and Access Management integration for a project.
```
PUT /projects/:id/integrations/google-cloud-platform-workload-identity-federation
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`workload_identity_federation_project_id` | string | yes | Google Cloud project ID for the Workload Identity Federation.
`workload_identity_federation_project_number` | integer | yes | Google Cloud project number for the Workload Identity Federation.
`workload_identity_pool_id` | string | yes | ID of the workload identity pool.
`workload_identity_pool_provider_id` | string | yes | ID of the workload identity pool provider.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Google Cloud Identity and Access Management[](https://docs.gitlab.com/api/project_integrations/#disable-google-cloud-identity-and-access-management "Permalink")
Disable the Google Cloud Identity and Access Management integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/google-cloud-platform-workload-identity-federation
```

### Get Google Cloud Identity and Access Management[](https://docs.gitlab.com/api/project_integrations/#get-google-cloud-identity-and-access-management "Permalink")
Get the settings for the Google Cloud Identity and Access Management for a project.
```
GET /projects/:id/integration/google-cloud-platform-workload-identity-federation
```

## Google Play[](https://docs.gitlab.com/api/project_integrations/#google-play "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Google Play[](https://docs.gitlab.com/api/project_integrations/#set-up-google-play "Permalink")
Set up the Google Play integration for a project.
```
PUT /projects/:id/integrations/google-play
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`package_name` | string | yes | Package name of the app in Google Play.
`service_account_key` | string | yes | Google Play service account key.
`service_account_key_file_name` | string | yes | File name of the Google Play service account key.
`google_play_protected_refs` | boolean | no | Set variables on protected branches and tags only.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Google Play[](https://docs.gitlab.com/api/project_integrations/#disable-google-play "Permalink")
Disable the Google Play integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/google-play
```

### Get Google Play settings[](https://docs.gitlab.com/api/project_integrations/#get-google-play-settings "Permalink")
Get the Google Play integration settings for a project.
```
GET /projects/:id/integrations/google-play
```

## Harbor[](https://docs.gitlab.com/api/project_integrations/#harbor "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Harbor[](https://docs.gitlab.com/api/project_integrations/#set-up-harbor "Permalink")
Set up the Harbor integration for a project.
```
PUT /projects/:id/integrations/harbor
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`url` | string | yes | The base URL to the Harbor instance linked to the GitLab project. For example, `https://demo.goharbor.io`.
`project_name` | string | yes | The name of the project in the Harbor instance. For example, `testproject`.
`username` | string | yes | The username created in the Harbor interface.
`password` | string | yes | The password of the user.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Harbor[](https://docs.gitlab.com/api/project_integrations/#disable-harbor "Permalink")
Disable the Harbor integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/harbor
```

### Get Harbor settings[](https://docs.gitlab.com/api/project_integrations/#get-harbor-settings "Permalink")
Get the Harbor integration settings for a project.
```
GET /projects/:id/integrations/harbor
```

## irker (IRC gateway)[](https://docs.gitlab.com/api/project_integrations/#irker-irc-gateway "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up irker[](https://docs.gitlab.com/api/project_integrations/#set-up-irker "Permalink")
Set up the irker integration for a project.
```
PUT /projects/:id/integrations/irker
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`recipients` | string | yes | Comma-separated list of channels or email addresses.
`default_irc_uri` | string | no | URI to add before each recipient. The default value is `irc://irc.network.net:6697/`.
`server_host` | string | no | irker daemon hostname. The default value is `localhost`.
`server_port` | integer | no | irker daemon port. The default value is `6659`.
`colorize_messages` | boolean | no | Colorize messages.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable irker[](https://docs.gitlab.com/api/project_integrations/#disable-irker "Permalink")
Disable the irker integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/irker
```

### Get irker settings[](https://docs.gitlab.com/api/project_integrations/#get-irker-settings "Permalink")
Get the irker integration settings for a project.
```
GET /projects/:id/integrations/irker
```

## Jenkins[](https://docs.gitlab.com/api/project_integrations/#jenkins "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Jenkins[](https://docs.gitlab.com/api/project_integrations/#set-up-jenkins "Permalink")
Set up the Jenkins integration for a project.
```
PUT /projects/:id/integrations/jenkins
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`jenkins_url` | string | yes | URL of the Jenkins server.
`enable_ssl_verification` | boolean | no | Enable SSL verification. Defaults to `true` (enabled).
`project_name` | string | yes | Name of the Jenkins project.
`username` | string | no | Username of the Jenkins server.
`password` | string | no | Password of the Jenkins server.
`push_events` | boolean | no | Enables notifications for push events.
`merge_requests_events` | boolean | no | Enables notifications for merge request events.
`tag_push_events` | boolean | no | Enables notifications for tag push events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Jenkins[](https://docs.gitlab.com/api/project_integrations/#disable-jenkins "Permalink")
Disable the Jenkins integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/jenkins
```

### Get Jenkins settings[](https://docs.gitlab.com/api/project_integrations/#get-jenkins-settings "Permalink")
Get the Jenkins integration settings for a project.
```
GET /projects/:id/integrations/jenkins
```

## JetBrains TeamCity[](https://docs.gitlab.com/api/project_integrations/#jetbrains-teamcity "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up JetBrains TeamCity[](https://docs.gitlab.com/api/project_integrations/#set-up-jetbrains-teamcity "Permalink")
Set up the JetBrains TeamCity integration for a project.
The build configuration in TeamCity must use the build number format `%build.vcs.number%`. In the advanced settings for VCS root, configure monitoring for all branches so merge requests can build.
```
PUT /projects/:id/integrations/teamcity
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`teamcity_url` | string | yes | TeamCity root URL (for example, `https://teamcity.example.com`).
`enable_ssl_verification` | boolean | no | Enable SSL verification. Defaults to `true` (enabled).
`build_type` | string | yes | The build configuration ID of the TeamCity project.
`username` | string | yes | A user with permissions to trigger a manual build.
`password` | string | yes | The password of the user.
`push_events` | boolean | no | Enable notifications for push events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable JetBrains TeamCity[](https://docs.gitlab.com/api/project_integrations/#disable-jetbrains-teamcity "Permalink")
Disable the JetBrains TeamCity integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/teamcity
```

### Get JetBrains TeamCity settings[](https://docs.gitlab.com/api/project_integrations/#get-jetbrains-teamcity-settings "Permalink")
Get the JetBrains TeamCity integration settings for a project.
```
GET /projects/:id/integrations/teamcity
```

## Jira issues[](https://docs.gitlab.com/api/project_integrations/#jira-issues "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Jira issues[](https://docs.gitlab.com/api/project_integrations/#set-up-jira-issues "Permalink")
Set up the [Jira issues integration](https://docs.gitlab.com/integration/jira/configure/) for a project.
```
PUT /projects/:id/integrations/jira
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`url` | string | yes | The URL to the Jira project which is being linked to this GitLab project (for example, `https://jira.example.com`).
`api_url` | string | no | The base URL to the Jira instance API. Web URL value is used if not set (for example, `https://jira-api.example.com`).
`username` | string | no | The email or username to use with Jira. Use an email for Jira Cloud, and a username for Jira Data Center and Jira Server. Required when using Basic Authentication (`jira_auth_type` is `0`).
`password` | string | yes | The Jira API token, password, or personal access token to use with Jira. When using Basic Authentication (`jira_auth_type` is `0`), use an API token for Jira Cloud, and a password for Jira Data Center or Jira Server. For a Jira personal access token (`jira_auth_type` is `1`), use the personal access token.
`jira_auth_type` | integer | no | The authentication method to use with Jira. Use `0` for Basic Authentication, and `1` for Jira personal access token. Defaults to `0`.
`jira_issue_prefix` | string | no | Prefix to match Jira issue keys.
`jira_issue_regex` | string | no | Regular expression to match Jira issue keys.
`jira_issue_transition_automatic` | boolean | no | Enable [automatic issue transitions](https://docs.gitlab.com/integration/jira/issues/#automatic-issue-transitions). Takes precedence over `jira_issue_transition_id` if enabled. Defaults to `false`.
`jira_issue_transition_id` | string | no | The ID of one or more transitions for [custom issue transitions](https://docs.gitlab.com/integration/jira/issues/#custom-issue-transitions).Ignored when `jira_issue_transition_automatic` is enabled. Defaults to a blank string,which disables custom transitions.
`commit_events` | boolean | no | Enable notifications for commit events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`comment_on_event_enabled` | boolean | no | Enable comments in Jira issues on each GitLab event (commit or merge request).
`issues_enabled` | boolean | no | Enable viewing Jira issues in GitLab. [Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/267015) in GitLab 17.0.
`project_keys` | array of strings | no | Keys of Jira projects. When `issues_enabled` is `true`, this setting specifies which Jira projects to view issues from in GitLab. [Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/267015) in GitLab 17.0.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
`vulnerabilities_enabled` | boolean | no | Available only in GitLab EE. When set to `true`, creates Jira issues for GitLab vulnerabilities.
`vulnerabilities_issuetype` | number | no | Available only in GitLab EE. ID of the Jira issue type to use when creating issues from vulnerabilities.
`project_key` | string | no | Available only in GitLab EE. Key of the project to use when creating issues from vulnerabilities. This parameter is required if using the integration to create issues from vulnerabilities.
`customize_jira_issue_enabled` | boolean | no | Available only in GitLab EE. When set to `true`, opens a prefilled form on the Jira instance when creating a Jira issue from a vulnerability.
### Disable Jira[](https://docs.gitlab.com/api/project_integrations/#disable-jira "Permalink")
Disable the Jira issues integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/jira
```

### Get Jira settings[](https://docs.gitlab.com/api/project_integrations/#get-jira-settings "Permalink")
Get the Jira issues integration settings for a project.
```
GET /projects/:id/integrations/jira
```

## Linear[](https://docs.gitlab.com/api/project_integrations/#linear "Permalink")
History
  * [Introduced](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/198297) in GitLab 18.3.


### Set up Linear[](https://docs.gitlab.com/api/project_integrations/#set-up-linear "Permalink")
Set up the Linear integration for a group.
```
PUT /projects/:id/integrations/linear
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`workspace_url` | string | yes | URL of the issue.
`use_inherited_settings` | boolean | no | Indicates whether or not to inherit default settings. Defaults to `false`.
### Disable Linear[](https://docs.gitlab.com/api/project_integrations/#disable-linear "Permalink")
Disable the Linear integration for a group. Integration settings are reset.
```
DELETE /projects/:id/integrations/linear
```

### Get Linear settings[](https://docs.gitlab.com/api/project_integrations/#get-linear-settings "Permalink")
Get the Linear integration settings for a group.
```
GET /projects/:id/integrations/linear
```

## Matrix notifications[](https://docs.gitlab.com/api/project_integrations/#matrix-notifications "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Matrix notifications[](https://docs.gitlab.com/api/project_integrations/#set-up-matrix-notifications "Permalink")
Set up Matrix notifications for a project.
```
PUT /projects/:id/integrations/matrix
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`hostname` | string | no | Custom hostname of the Matrix server. The default value is `https://matrix.org`.
`token` | string | yes | The Matrix access token (for example, `syt-zyx57W2v1u123ew11`).
`room` | string | yes | Unique identifier for the target room (in the format `!qPKKM111FFKKsfoCVy:matrix.org`).
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`push_events` | boolean | no | Enable notifications for push events.
`issues_events` | boolean | no | Enable notifications for issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`note_events` | boolean | no | Enable notifications for note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Matrix notifications[](https://docs.gitlab.com/api/project_integrations/#disable-matrix-notifications "Permalink")
Disable Matrix notifications for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/matrix
```

### Get Matrix notifications settings[](https://docs.gitlab.com/api/project_integrations/#get-matrix-notifications-settings "Permalink")
Get the Matrix notifications settings for a project.
```
GET /projects/:id/integrations/matrix
```

## Mattermost notifications[](https://docs.gitlab.com/api/project_integrations/#mattermost-notifications "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Mattermost notifications[](https://docs.gitlab.com/api/project_integrations/#set-up-mattermost-notifications "Permalink")
Set up Mattermost notifications for a project.
```
PUT /projects/:id/integrations/mattermost
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | Mattermost notifications webhook (for example, `http://mattermost.example.com/hooks/...`).
`username` | string | no | Mattermost notifications username.
`channel` | string | no | Default channel to use if no other channel is configured.
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`notify_only_default_branch` | boolean | no |  **Deprecated** : This parameter has been replaced with `branches_to_be_notified`.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`labels_to_be_notified` | string | no | Labels to send notifications for. Leave blank to receive notifications for all events.
`labels_to_be_notified_behavior` | string | no | Labels to be notified for. Valid options are `match_any` and `match_all`. The default value is `match_any`.
`push_events` | boolean | no | Enable notifications for push events.
`issues_events` | boolean | no | Enable notifications for issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`note_events` | boolean | no | Enable notifications for note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`push_channel` | string | no | The name of the channel to receive notifications for push events.
`issue_channel` | string | no | The name of the channel to receive notifications for issue events.
`confidential_issue_channel` | string | no | The name of the channel to receive notifications for confidential issue events.
`merge_request_channel` | string | no | The name of the channel to receive notifications for merge request events.
`note_channel` | string | no | The name of the channel to receive notifications for note events.
`confidential_note_channel` | string | no | The name of the channel to receive notifications for confidential note events.
`tag_push_channel` | string | no | The name of the channel to receive notifications for tag push events.
`pipeline_channel` | string | no | The name of the channel to receive notifications for pipeline events.
`wiki_page_channel` | string | no | The name of the channel to receive notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Mattermost notifications[](https://docs.gitlab.com/api/project_integrations/#disable-mattermost-notifications "Permalink")
Disable Mattermost notifications for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/mattermost
```

### Get Mattermost notifications settings[](https://docs.gitlab.com/api/project_integrations/#get-mattermost-notifications-settings "Permalink")
Get the Mattermost notifications settings for a project.
```
GET /projects/:id/integrations/mattermost
```

## Mattermost slash commands[](https://docs.gitlab.com/api/project_integrations/#mattermost-slash-commands "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Mattermost slash commands[](https://docs.gitlab.com/api/project_integrations/#set-up-mattermost-slash-commands "Permalink")
Set up Mattermost slash commands for a project.
```
PUT /projects/:id/integrations/mattermost-slash-commands
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | The Mattermost token.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Mattermost slash commands[](https://docs.gitlab.com/api/project_integrations/#disable-mattermost-slash-commands "Permalink")
Disable Mattermost slash commands for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/mattermost-slash-commands
```

### Get Mattermost slash commands settings[](https://docs.gitlab.com/api/project_integrations/#get-mattermost-slash-commands-settings "Permalink")
Get the Mattermost slash commands settings for a project.
```
GET /projects/:id/integrations/mattermost-slash-commands
```

## Microsoft Teams notifications[](https://docs.gitlab.com/api/project_integrations/#microsoft-teams-notifications "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Microsoft Teams notifications[](https://docs.gitlab.com/api/project_integrations/#set-up-microsoft-teams-notifications "Permalink")
Set up Microsoft Teams notifications for a project.
```
PUT /projects/:id/integrations/microsoft-teams
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | The Microsoft Teams webhook (for example, `https://outlook.office.com/webhook/...`).
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`notify_only_default_branch` | boolean | no |  **Deprecated** : This parameter has been replaced with `branches_to_be_notified`.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`push_events` | boolean | no | Enable notifications for push events.
`issues_events` | boolean | no | Enable notifications for issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`note_events` | boolean | no | Enable notifications for note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Microsoft Teams notifications[](https://docs.gitlab.com/api/project_integrations/#disable-microsoft-teams-notifications "Permalink")
Disable Microsoft Teams notifications for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/microsoft-teams
```

### Get Microsoft Teams notifications settings[](https://docs.gitlab.com/api/project_integrations/#get-microsoft-teams-notifications-settings "Permalink")
Get the Microsoft Teams notifications settings for a project.
```
GET /projects/:id/integrations/microsoft-teams
```

## Mock CI[](https://docs.gitlab.com/api/project_integrations/#mock-ci "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


This integration is only available in a development environment. For an example Mock CI server, see [`gitlab-org/gitlab-mock-ci-service`](https://gitlab.com/gitlab-org/gitlab-mock-ci-service).
### Set up Mock CI[](https://docs.gitlab.com/api/project_integrations/#set-up-mock-ci "Permalink")
Set up the Mock CI integration for a project.
```
PUT /projects/:id/integrations/mock-ci
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`mock_service_url` | string | yes | URL of the Mock CI integration.
`enable_ssl_verification` | boolean | no | Enable SSL verification. Defaults to `true` (enabled).
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Mock CI[](https://docs.gitlab.com/api/project_integrations/#disable-mock-ci "Permalink")
Disable the Mock CI integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/mock-ci
```

### Get Mock CI settings[](https://docs.gitlab.com/api/project_integrations/#get-mock-ci-settings "Permalink")
Get the Mock CI integration settings for a project.
```
GET /projects/:id/integrations/mock-ci
```

## Packagist[](https://docs.gitlab.com/api/project_integrations/#packagist "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Packagist[](https://docs.gitlab.com/api/project_integrations/#set-up-packagist "Permalink")
Set up the Packagist integration for a project.
```
PUT /projects/:id/integrations/packagist
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`username` | string | yes | Username of a Packagist account.
`token` | string | yes | API token of the Packagist server.
`server` | boolean | no | URL of the Packagist server. The default value is `https://packagist.org`.
`push_events` | boolean | no | Enable notifications for push events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Packagist[](https://docs.gitlab.com/api/project_integrations/#disable-packagist "Permalink")
Disable the Packagist integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/packagist
```

### Get Packagist settings[](https://docs.gitlab.com/api/project_integrations/#get-packagist-settings "Permalink")
Get the Packagist integration settings for a project.
```
GET /projects/:id/integrations/packagist
```

## Phorge[](https://docs.gitlab.com/api/project_integrations/#phorge "Permalink")
History
  * [Introduced](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/145863) in GitLab 16.11.
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Phorge[](https://docs.gitlab.com/api/project_integrations/#set-up-phorge "Permalink")
Set up the Phorge integration for a project.
```
PUT /projects/:id/integrations/phorge
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`issues_url` | string | yes | URL of the issue.
`project_url` | string | yes | URL of the project.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Phorge[](https://docs.gitlab.com/api/project_integrations/#disable-phorge "Permalink")
Disable the Phorge integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/phorge
```

### Get Phorge settings[](https://docs.gitlab.com/api/project_integrations/#get-phorge-settings "Permalink")
Get the Phorge integration settings for a project.
```
GET /projects/:id/integrations/phorge
```

## Pipeline status emails[](https://docs.gitlab.com/api/project_integrations/#pipeline-status-emails "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up pipeline status emails[](https://docs.gitlab.com/api/project_integrations/#set-up-pipeline-status-emails "Permalink")
Set up pipeline status emails for a project.
```
PUT /projects/:id/integrations/pipelines-email
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`recipients` | string | yes | Comma-separated list of recipient email addresses.
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`notify_only_default_branch` | boolean | no | Send notifications for the default branch.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable pipeline status emails[](https://docs.gitlab.com/api/project_integrations/#disable-pipeline-status-emails "Permalink")
Disable pipeline status emails for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/pipelines-email
```

### Get pipeline status emails settings[](https://docs.gitlab.com/api/project_integrations/#get-pipeline-status-emails-settings "Permalink")
Get the pipeline status emails settings for a project.
```
GET /projects/:id/integrations/pipelines-email
```

## Pivotal Tracker[](https://docs.gitlab.com/api/project_integrations/#pivotal-tracker "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Pivotal Tracker[](https://docs.gitlab.com/api/project_integrations/#set-up-pivotal-tracker "Permalink")
Set up the Pivotal Tracker integration for a project.
```
PUT /projects/:id/integrations/pivotaltracker
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | The Pivotal Tracker token.
`restrict_to_branch` | boolean | no | Comma-separated list of branches to automatically inspect. Leave blank to include all branches.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Pivotal Tracker[](https://docs.gitlab.com/api/project_integrations/#disable-pivotal-tracker "Permalink")
Disable the Pivotal Tracker integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/pivotaltracker
```

### Get Pivotal Tracker settings[](https://docs.gitlab.com/api/project_integrations/#get-pivotal-tracker-settings "Permalink")
Get the Pivotal Tracker integration settings for a project.
```
GET /projects/:id/integrations/pivotaltracker
```

## Pumble[](https://docs.gitlab.com/api/project_integrations/#pumble "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Pumble[](https://docs.gitlab.com/api/project_integrations/#set-up-pumble "Permalink")
Set up the Pumble integration for a project.
```
PUT /projects/:id/integrations/pumble
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | The Pumble webhook (for example, `https://api.pumble.com/workspaces/x/...`).
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default is `default`.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`issues_events` | boolean | no | Enable notifications for issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`note_events` | boolean | no | Enable notifications for note events.
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`push_events` | boolean | no | Enable notifications for push events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Pumble[](https://docs.gitlab.com/api/project_integrations/#disable-pumble "Permalink")
Disable the Pumble integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/pumble
```

### Get Pumble settings[](https://docs.gitlab.com/api/project_integrations/#get-pumble-settings "Permalink")
Get the Pumble integration settings for a project.
```
GET /projects/:id/integrations/pumble
```

## Pushover[](https://docs.gitlab.com/api/project_integrations/#pushover "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Pushover[](https://docs.gitlab.com/api/project_integrations/#set-up-pushover "Permalink")
Set up the Pushover integration for a project.
```
PUT /projects/:id/integrations/pushover
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`api_key` | string | yes | The application key.
`user_key` | string | yes | The user key.
`priority` | string | yes | The priority.
`device` | string | no | Leave blank for all active devices.
`sound` | string | no | The sound of the notification.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Pushover[](https://docs.gitlab.com/api/project_integrations/#disable-pushover "Permalink")
Disable the Pushover integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/pushover
```

### Get Pushover settings[](https://docs.gitlab.com/api/project_integrations/#get-pushover-settings "Permalink")
Get the Pushover integration settings for a project.
```
GET /projects/:id/integrations/pushover
```

## Redmine[](https://docs.gitlab.com/api/project_integrations/#redmine "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Redmine[](https://docs.gitlab.com/api/project_integrations/#set-up-redmine "Permalink")
Set up the Redmine integration for a project.
```
PUT /projects/:id/integrations/redmine
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`new_issue_url` | string | yes | URL of the new issue.
`project_url` | string | yes | URL of the project.
`issues_url` | string | yes | URL of the issue.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Redmine[](https://docs.gitlab.com/api/project_integrations/#disable-redmine "Permalink")
Disable the Redmine integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/redmine
```

### Get Redmine settings[](https://docs.gitlab.com/api/project_integrations/#get-redmine-settings "Permalink")
Get the Redmine integration settings for a project.
```
GET /projects/:id/integrations/redmine
```

## Slack notifications[](https://docs.gitlab.com/api/project_integrations/#slack-notifications "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Slack notifications[](https://docs.gitlab.com/api/project_integrations/#set-up-slack-notifications "Permalink")
Set up Slack notifications for a project.
```
PUT /projects/:id/integrations/slack
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | Slack notifications webhook (for example, `https://hooks.slack.com/services/...`).
`username` | string | no | Slack notifications username.
`channel` | string | no | Default channel to use if no other channel is configured.
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`notify_only_default_branch` | boolean | no |  **Deprecated** : This parameter has been replaced with `branches_to_be_notified`.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`labels_to_be_notified` | string | no | Labels to send notifications for. Leave blank to receive notifications for all events.
`labels_to_be_notified_behavior` | string | no | Labels to be notified for. Valid options are `match_any` and `match_all`. The default value is `match_any`.
`alert_channel` | string | no | The name of the channel to receive notifications for alert events.
`alert_events` | boolean | no | Enable notifications for alert events.
`commit_events` | boolean | no | Enable notifications for commit events.
`confidential_issue_channel` | string | no | The name of the channel to receive notifications for confidential issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`confidential_note_channel` | string | no | The name of the channel to receive notifications for confidential note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`deployment_channel` | string | no | The name of the channel to receive notifications for deployment events.
`deployment_events` | boolean | no | Enable notifications for deployment events.
`incident_channel` | string | no | The name of the channel to receive notifications for incident events.
`incidents_events` | boolean | no | Enable notifications for incident events.
`issue_channel` | string | no | The name of the channel to receive notifications for issue events.
`issues_events` | boolean | no | Enable notifications for issue events.
`job_events` | boolean | no | Enable notifications for job events.
`merge_request_channel` | string | no | The name of the channel to receive notifications for merge request events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`note_channel` | string | no | The name of the channel to receive notifications for note events.
`note_events` | boolean | no | Enable notifications for note events.
`pipeline_channel` | string | no | The name of the channel to receive notifications for pipeline events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`push_channel` | string | no | The name of the channel to receive notifications for push events.
`push_events` | boolean | no | Enable notifications for push events.
`tag_push_channel` | string | no | The name of the channel to receive notifications for tag push events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`wiki_page_channel` | string | no | The name of the channel to receive notifications for wiki page events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Slack notifications[](https://docs.gitlab.com/api/project_integrations/#disable-slack-notifications "Permalink")
Disable Slack notifications for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/slack
```

### Get Slack notifications settings[](https://docs.gitlab.com/api/project_integrations/#get-slack-notifications-settings "Permalink")
Get the Slack notifications settings for a project.
```
GET /projects/:id/integrations/slack
```

## Slack slash commands[](https://docs.gitlab.com/api/project_integrations/#slack-slash-commands "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Slack slash commands[](https://docs.gitlab.com/api/project_integrations/#set-up-slack-slash-commands "Permalink")
Set up Slack slash commands for a project.
```
PUT /projects/:id/integrations/slack-slash-commands
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`token` | string | yes | The Slack token.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Slack slash commands[](https://docs.gitlab.com/api/project_integrations/#disable-slack-slash-commands "Permalink")
Disable Slack slash commands for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/slack-slash-commands
```

### Get Slack slash commands settings[](https://docs.gitlab.com/api/project_integrations/#get-slack-slash-commands-settings "Permalink")
Get the Slack slash commands settings for a project.
```
GET /projects/:id/integrations/slack-slash-commands
```

Example response:
json
```
{
  "id": 4,
  "title": "Slack slash commands",
  "slug": "slack-slash-commands",
  "created_at": "2017-06-27T05:51:39-07:00",
  "updated_at": "2017-06-27T05:51:39-07:00",
  "active": true,
  "push_events": true,
  "issues_events": true,
  "confidential_issues_events": true,
  "merge_requests_events": true,
  "tag_push_events": true,
  "note_events": true,
  "job_events": true,
  "pipeline_events": true,
  "comment_on_event_enabled": false,
  "inherited": false,
  "properties": {
    "token": "<your_access_token>"
  }
}
```

## Squash TM[](https://docs.gitlab.com/api/project_integrations/#squash-tm "Permalink")
History
  * [Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/337855) in GitLab 15.10.
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Squash TM[](https://docs.gitlab.com/api/project_integrations/#set-up-squash-tm "Permalink")
Set up the Squash TM integration settings for a project.
```
PUT /projects/:id/integrations/squash-tm
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`url` | string | yes | URL of the Squash TM webhook.
`token` | string | no | Secret token.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Squash TM[](https://docs.gitlab.com/api/project_integrations/#disable-squash-tm "Permalink")
Disable the Squash TM integration for a project. Integration settings are preserved.
```
DELETE /projects/:id/integrations/squash-tm
```

### Get Squash TM settings[](https://docs.gitlab.com/api/project_integrations/#get-squash-tm-settings "Permalink")
Get the Squash TM integration settings for a project.
```
GET /projects/:id/integrations/squash-tm
```

## Telegram[](https://docs.gitlab.com/api/project_integrations/#telegram "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Telegram[](https://docs.gitlab.com/api/project_integrations/#set-up-telegram "Permalink")
Set up the Telegram integration for a project.
```
PUT /projects/:id/integrations/telegram
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`hostname` | string | no | Custom hostname of the Telegram API ([introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/461313) in GitLab 17.1). The default value is `https://api.telegram.org`.
`token` | string | yes | The Telegram bot token (for example, `123456:ABC-DEF1234ghIkl-zyx57W2v1u123ew11`).
`room` | string | yes | Unique identifier for the target chat or the username of the target channel (in the format `@channelusername`).
`thread` | integer | no | Unique identifier for the target message thread (topic in a forum supergroup). [Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/441097) in GitLab 16.11.
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`branches_to_be_notified` | string | no | Branches to send notifications for ([introduced](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/134361) in GitLab 16.5). Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`push_events` | boolean | yes | Enable notifications for push events.
`issues_events` | boolean | yes | Enable notifications for issue events.
`confidential_issues_events` | boolean | yes | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | yes | Enable notifications for merge request events.
`tag_push_events` | boolean | yes | Enable notifications for tag push events.
`note_events` | boolean | yes | Enable notifications for note events.
`confidential_note_events` | boolean | yes | Enable notifications for confidential note events.
`pipeline_events` | boolean | yes | Enable notifications for pipeline events.
`wiki_page_events` | boolean | yes | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Telegram[](https://docs.gitlab.com/api/project_integrations/#disable-telegram "Permalink")
Disable the Telegram integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/telegram
```

### Get Telegram settings[](https://docs.gitlab.com/api/project_integrations/#get-telegram-settings "Permalink")
Get the Telegram integration settings for a project.
```
GET /projects/:id/integrations/telegram
```

## Unify Circuit[](https://docs.gitlab.com/api/project_integrations/#unify-circuit "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Unify Circuit[](https://docs.gitlab.com/api/project_integrations/#set-up-unify-circuit "Permalink")
Set up the Unify Circuit integration for a project.
```
PUT /projects/:id/integrations/unify-circuit
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | The Unify Circuit webhook (for example, `https://circuit.com/rest/v2/webhooks/incoming/...`).
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`notify_only_when_pipeline_status_changes` | boolean | no | Send notifications only when the pipeline status for the ref changes.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`push_events` | boolean | no | Enable notifications for push events.
`issues_events` | boolean | no | Enable notifications for issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`note_events` | boolean | no | Enable notifications for note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Unify Circuit[](https://docs.gitlab.com/api/project_integrations/#disable-unify-circuit "Permalink")
Disable the Unify Circuit integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/unify-circuit
```

### Get Unify Circuit settings[](https://docs.gitlab.com/api/project_integrations/#get-unify-circuit-settings "Permalink")
Get the Unify Circuit integration settings for a project.
```
GET /projects/:id/integrations/unify-circuit
```

## Webex Teams[](https://docs.gitlab.com/api/project_integrations/#webex-teams "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up Webex Teams[](https://docs.gitlab.com/api/project_integrations/#set-up-webex-teams "Permalink")
Set up Webex Teams for a project.
```
PUT /projects/:id/integrations/webex-teams
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`webhook` | string | yes | The Webex Teams webhook (for example, `https://api.ciscospark.com/v1/webhooks/incoming/...`).
`notify_only_broken_pipelines` | boolean | no | Send notifications for broken pipelines.
`branches_to_be_notified` | string | no | Branches to send notifications for. Valid options are `all`, `default`, `protected`, and `default_and_protected`. The default value is `default`.
`push_events` | boolean | no | Enable notifications for push events.
`issues_events` | boolean | no | Enable notifications for issue events.
`confidential_issues_events` | boolean | no | Enable notifications for confidential issue events.
`merge_requests_events` | boolean | no | Enable notifications for merge request events.
`tag_push_events` | boolean | no | Enable notifications for tag push events.
`note_events` | boolean | no | Enable notifications for note events.
`confidential_note_events` | boolean | no | Enable notifications for confidential note events.
`pipeline_events` | boolean | no | Enable notifications for pipeline events.
`wiki_page_events` | boolean | no | Enable notifications for wiki page events.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable Webex Teams[](https://docs.gitlab.com/api/project_integrations/#disable-webex-teams "Permalink")
Disable Webex Teams for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/webex-teams
```

### Get Webex Teams settings[](https://docs.gitlab.com/api/project_integrations/#get-webex-teams-settings "Permalink")
Get the Webex Teams settings for a project.
```
GET /projects/:id/integrations/webex-teams
```

## YouTrack[](https://docs.gitlab.com/api/project_integrations/#youtrack "Permalink")
History
  * `use_inherited_settings` parameter [introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/467089) in GitLab 17.2 [with a flag](https://docs.gitlab.com/administration/feature_flags/) named `integration_api_inheritance`. Disabled by default.
  * `use_inherited_settings` parameter [generally available](https://gitlab.com/gitlab-org/gitlab/-/issues/467186) in GitLab 17.3. Feature flag `integration_api_inheritance` removed.


### Set up YouTrack[](https://docs.gitlab.com/api/project_integrations/#set-up-youtrack "Permalink")
Set up the YouTrack integration for a project.
```
PUT /projects/:id/integrations/youtrack
```

Parameters:
Parameter | Type | Required | Description
---|---|---|---
`issues_url` | string | yes | URL of the issue.
`project_url` | string | yes | URL of the project.
`use_inherited_settings` | boolean | no | Indicates whether to inherit the default settings. Defaults to `false`.
### Disable YouTrack[](https://docs.gitlab.com/api/project_integrations/#disable-youtrack "Permalink")
Disable the YouTrack integration for a project. Integration settings are reset.
```
DELETE /projects/:id/integrations/youtrack
```

### Get YouTrack settings[](https://docs.gitlab.com/api/project_integrations/#get-youtrack-settings "Permalink")
Get the YouTrack integration settings for a project.
```
GET /projects/:id/integrations/youtrack
```

Was this page helpful?YesNo
Edit this page
  *     * [ Open in Web IDE`.`Quickly and easily edit multiple files. ](https://gitlab.com/-/ide/project/gitlab-org/gitlab/edit/master/-/doc/api/project_integrations.md)
    * [ View page sourceEdit this file only. ](https://gitlab.com/gitlab-org/gitlab/-/blob/master/doc/api/project_integrations.md)
    * [ Create an issueSuggest improvements. ](https://gitlab.com/gitlab-org/gitlab/-/issues/new?issuable_template=Documentation)


  * [List all active integrations](https://docs.gitlab.com/api/project_integrations/#list-all-active-integrations)
  * [Apple App Store Connect](https://docs.gitlab.com/api/project_integrations/#apple-app-store-connect)
  * [Set up Apple App Store Connect](https://docs.gitlab.com/api/project_integrations/#set-up-apple-app-store-connect)
  * [Disable Apple App Store Connect](https://docs.gitlab.com/api/project_integrations/#disable-apple-app-store-connect)
  * [Get Apple App Store Connect settings](https://docs.gitlab.com/api/project_integrations/#get-apple-app-store-connect-settings)
  * [Asana](https://docs.gitlab.com/api/project_integrations/#asana)
  * [Set up Asana](https://docs.gitlab.com/api/project_integrations/#set-up-asana)
  * [Disable Asana](https://docs.gitlab.com/api/project_integrations/#disable-asana)
  * [Get Asana settings](https://docs.gitlab.com/api/project_integrations/#get-asana-settings)
  * [Assembla](https://docs.gitlab.com/api/project_integrations/#assembla)
  * [Set up Assembla](https://docs.gitlab.com/api/project_integrations/#set-up-assembla)
  * [Disable Assembla](https://docs.gitlab.com/api/project_integrations/#disable-assembla)
  * [Get Assembla settings](https://docs.gitlab.com/api/project_integrations/#get-assembla-settings)
  * [Atlassian Bamboo](https://docs.gitlab.com/api/project_integrations/#atlassian-bamboo)
  * [Set up Atlassian Bamboo](https://docs.gitlab.com/api/project_integrations/#set-up-atlassian-bamboo)
  * [Disable Atlassian Bamboo](https://docs.gitlab.com/api/project_integrations/#disable-atlassian-bamboo)
  * [Get Atlassian Bamboo settings](https://docs.gitlab.com/api/project_integrations/#get-atlassian-bamboo-settings)
  * [Bugzilla](https://docs.gitlab.com/api/project_integrations/#bugzilla)
  * [Set up Bugzilla](https://docs.gitlab.com/api/project_integrations/#set-up-bugzilla)
  * [Disable Bugzilla](https://docs.gitlab.com/api/project_integrations/#disable-bugzilla)
  * [Get Bugzilla settings](https://docs.gitlab.com/api/project_integrations/#get-bugzilla-settings)
  * [Buildkite](https://docs.gitlab.com/api/project_integrations/#buildkite)
  * [Set up Buildkite](https://docs.gitlab.com/api/project_integrations/#set-up-buildkite)
  * [Disable Buildkite](https://docs.gitlab.com/api/project_integrations/#disable-buildkite)
  * [Get Buildkite settings](https://docs.gitlab.com/api/project_integrations/#get-buildkite-settings)
  * [Campfire Classic](https://docs.gitlab.com/api/project_integrations/#campfire-classic)
  * [Set up Campfire Classic](https://docs.gitlab.com/api/project_integrations/#set-up-campfire-classic)
  * [Disable Campfire Classic](https://docs.gitlab.com/api/project_integrations/#disable-campfire-classic)
  * [Get Campfire Classic settings](https://docs.gitlab.com/api/project_integrations/#get-campfire-classic-settings)
  * [ClickUp](https://docs.gitlab.com/api/project_integrations/#clickup)
  * [Set up ClickUp](https://docs.gitlab.com/api/project_integrations/#set-up-clickup)
  * [Disable ClickUp](https://docs.gitlab.com/api/project_integrations/#disable-clickup)
  * [Get ClickUp settings](https://docs.gitlab.com/api/project_integrations/#get-clickup-settings)
  * [Confluence Workspace](https://docs.gitlab.com/api/project_integrations/#confluence-workspace)
  * [Set up Confluence Workspace](https://docs.gitlab.com/api/project_integrations/#set-up-confluence-workspace)
  * [Disable Confluence Workspace](https://docs.gitlab.com/api/project_integrations/#disable-confluence-workspace)
  * [Get Confluence Workspace settings](https://docs.gitlab.com/api/project_integrations/#get-confluence-workspace-settings)
  * [Custom issue tracker](https://docs.gitlab.com/api/project_integrations/#custom-issue-tracker)
  * [Set up a custom issue tracker](https://docs.gitlab.com/api/project_integrations/#set-up-a-custom-issue-tracker)
  * [Disable a custom issue tracker](https://docs.gitlab.com/api/project_integrations/#disable-a-custom-issue-tracker)
  * [Get custom issue tracker settings](https://docs.gitlab.com/api/project_integrations/#get-custom-issue-tracker-settings)
  * [Datadog](https://docs.gitlab.com/api/project_integrations/#datadog)
  * [Set up Datadog](https://docs.gitlab.com/api/project_integrations/#set-up-datadog)
  * [Disable Datadog](https://docs.gitlab.com/api/project_integrations/#disable-datadog)
  * [Get Datadog settings](https://docs.gitlab.com/api/project_integrations/#get-datadog-settings)
  * [Diffblue Cover](https://docs.gitlab.com/api/project_integrations/#diffblue-cover)
  * [Set up Diffblue Cover](https://docs.gitlab.com/api/project_integrations/#set-up-diffblue-cover)
  * [Disable Diffblue Cover](https://docs.gitlab.com/api/project_integrations/#disable-diffblue-cover)
  * [Get Diffblue Cover settings](https://docs.gitlab.com/api/project_integrations/#get-diffblue-cover-settings)
  * [Discord Notifications](https://docs.gitlab.com/api/project_integrations/#discord-notifications)
  * [Set up Discord Notifications](https://docs.gitlab.com/api/project_integrations/#set-up-discord-notifications)
  * [Disable Discord Notifications](https://docs.gitlab.com/api/project_integrations/#disable-discord-notifications)
  * [Get Discord Notifications settings](https://docs.gitlab.com/api/project_integrations/#get-discord-notifications-settings)
  * [Drone](https://docs.gitlab.com/api/project_integrations/#drone)
  * [Set up Drone](https://docs.gitlab.com/api/project_integrations/#set-up-drone)
  * [Disable Drone](https://docs.gitlab.com/api/project_integrations/#disable-drone)
  * [Get Drone settings](https://docs.gitlab.com/api/project_integrations/#get-drone-settings)
  * [Emails on push](https://docs.gitlab.com/api/project_integrations/#emails-on-push)
  * [Set up emails on push](https://docs.gitlab.com/api/project_integrations/#set-up-emails-on-push)
  * [Disable emails on push](https://docs.gitlab.com/api/project_integrations/#disable-emails-on-push)
  * [Get emails on push settings](https://docs.gitlab.com/api/project_integrations/#get-emails-on-push-settings)
  * [Engineering Workflow Management (EWM)](https://docs.gitlab.com/api/project_integrations/#engineering-workflow-management-ewm)
  * [Set up EWM](https://docs.gitlab.com/api/project_integrations/#set-up-ewm)
  * [Disable EWM](https://docs.gitlab.com/api/project_integrations/#disable-ewm)
  * [Get EWM settings](https://docs.gitlab.com/api/project_integrations/#get-ewm-settings)
  * [External wiki](https://docs.gitlab.com/api/project_integrations/#external-wiki)
  * [Set up an external wiki](https://docs.gitlab.com/api/project_integrations/#set-up-an-external-wiki)
  * [Disable an external wiki](https://docs.gitlab.com/api/project_integrations/#disable-an-external-wiki)
  * [Get external wiki settings](https://docs.gitlab.com/api/project_integrations/#get-external-wiki-settings)
  * [GitGuardian](https://docs.gitlab.com/api/project_integrations/#gitguardian)
  * [Set up GitGuardian](https://docs.gitlab.com/api/project_integrations/#set-up-gitguardian)
  * [Disable GitGuardian](https://docs.gitlab.com/api/project_integrations/#disable-gitguardian)
  * [Get GitGuardian settings](https://docs.gitlab.com/api/project_integrations/#get-gitguardian-settings)
  * [GitHub](https://docs.gitlab.com/api/project_integrations/#github)
  * [Set up GitHub](https://docs.gitlab.com/api/project_integrations/#set-up-github)
  * [Disable GitHub](https://docs.gitlab.com/api/project_integrations/#disable-github)
  * [Get GitHub settings](https://docs.gitlab.com/api/project_integrations/#get-github-settings)
  * [GitLab for Jira Cloud app](https://docs.gitlab.com/api/project_integrations/#gitlab-for-jira-cloud-app)
  * [Update integration for a project](https://docs.gitlab.com/api/project_integrations/#update-integration-for-a-project)
  * [Get GitLab for Jira Cloud app settings](https://docs.gitlab.com/api/project_integrations/#get-gitlab-for-jira-cloud-app-settings)
  * [GitLab for Slack app](https://docs.gitlab.com/api/project_integrations/#gitlab-for-slack-app)
  * [Set up GitLab for Slack app](https://docs.gitlab.com/api/project_integrations/#set-up-gitlab-for-slack-app)
  * [Disable GitLab for Slack app](https://docs.gitlab.com/api/project_integrations/#disable-gitlab-for-slack-app)
  * [Get GitLab for Slack app settings](https://docs.gitlab.com/api/project_integrations/#get-gitlab-for-slack-app-settings)
  * [Google Chat](https://docs.gitlab.com/api/project_integrations/#google-chat)
  * [Set up Google Chat](https://docs.gitlab.com/api/project_integrations/#set-up-google-chat)
  * [Disable Google Chat](https://docs.gitlab.com/api/project_integrations/#disable-google-chat)
  * [Get Google Chat settings](https://docs.gitlab.com/api/project_integrations/#get-google-chat-settings)
  * [Google Artifact Management](https://docs.gitlab.com/api/project_integrations/#google-artifact-management)
  * [Set up Google Artifact Management](https://docs.gitlab.com/api/project_integrations/#set-up-google-artifact-management)
  * [Disable Google Artifact Management](https://docs.gitlab.com/api/project_integrations/#disable-google-artifact-management)
  * [Get Google Artifact Management settings](https://docs.gitlab.com/api/project_integrations/#get-google-artifact-management-settings)
  * [Google Cloud Identity and Access Management (IAM)](https://docs.gitlab.com/api/project_integrations/#google-cloud-identity-and-access-management-iam)
  * [Set up Google Cloud Identity and Access Management](https://docs.gitlab.com/api/project_integrations/#set-up-google-cloud-identity-and-access-management)
  * [Disable Google Cloud Identity and Access Management](https://docs.gitlab.com/api/project_integrations/#disable-google-cloud-identity-and-access-management)
  * [Get Google Cloud Identity and Access Management](https://docs.gitlab.com/api/project_integrations/#get-google-cloud-identity-and-access-management)
  * [Google Play](https://docs.gitlab.com/api/project_integrations/#google-play)
  * [Set up Google Play](https://docs.gitlab.com/api/project_integrations/#set-up-google-play)
  * [Disable Google Play](https://docs.gitlab.com/api/project_integrations/#disable-google-play)
  * [Get Google Play settings](https://docs.gitlab.com/api/project_integrations/#get-google-play-settings)
  * [Harbor](https://docs.gitlab.com/api/project_integrations/#harbor)
  * [Set up Harbor](https://docs.gitlab.com/api/project_integrations/#set-up-harbor)
  * [Disable Harbor](https://docs.gitlab.com/api/project_integrations/#disable-harbor)
  * [Get Harbor settings](https://docs.gitlab.com/api/project_integrations/#get-harbor-settings)
  * [irker (IRC gateway)](https://docs.gitlab.com/api/project_integrations/#irker-irc-gateway)
  * [Set up irker](https://docs.gitlab.com/api/project_integrations/#set-up-irker)
  * [Disable irker](https://docs.gitlab.com/api/project_integrations/#disable-irker)
  * [Get irker settings](https://docs.gitlab.com/api/project_integrations/#get-irker-settings)
  * [Jenkins](https://docs.gitlab.com/api/project_integrations/#jenkins)
  * [Set up Jenkins](https://docs.gitlab.com/api/project_integrations/#set-up-jenkins)
  * [Disable Jenkins](https://docs.gitlab.com/api/project_integrations/#disable-jenkins)
  * [Get Jenkins settings](https://docs.gitlab.com/api/project_integrations/#get-jenkins-settings)
  * [JetBrains TeamCity](https://docs.gitlab.com/api/project_integrations/#jetbrains-teamcity)
  * [Set up JetBrains TeamCity](https://docs.gitlab.com/api/project_integrations/#set-up-jetbrains-teamcity)
  * [Disable JetBrains TeamCity](https://docs.gitlab.com/api/project_integrations/#disable-jetbrains-teamcity)
  * [Get JetBrains TeamCity settings](https://docs.gitlab.com/api/project_integrations/#get-jetbrains-teamcity-settings)
  * [Jira issues](https://docs.gitlab.com/api/project_integrations/#jira-issues)
  * [Set up Jira issues](https://docs.gitlab.com/api/project_integrations/#set-up-jira-issues)
  * [Disable Jira](https://docs.gitlab.com/api/project_integrations/#disable-jira)
  * [Get Jira settings](https://docs.gitlab.com/api/project_integrations/#get-jira-settings)
  * [Linear](https://docs.gitlab.com/api/project_integrations/#linear)
  * [Set up Linear](https://docs.gitlab.com/api/project_integrations/#set-up-linear)
  * [Disable Linear](https://docs.gitlab.com/api/project_integrations/#disable-linear)
  * [Get Linear settings](https://docs.gitlab.com/api/project_integrations/#get-linear-settings)
  * [Matrix notifications](https://docs.gitlab.com/api/project_integrations/#matrix-notifications)
  * [Set up Matrix notifications](https://docs.gitlab.com/api/project_integrations/#set-up-matrix-notifications)
  * [Disable Matrix notifications](https://docs.gitlab.com/api/project_integrations/#disable-matrix-notifications)
  * [Get Matrix notifications settings](https://docs.gitlab.com/api/project_integrations/#get-matrix-notifications-settings)
  * [Mattermost notifications](https://docs.gitlab.com/api/project_integrations/#mattermost-notifications)
  * [Set up Mattermost notifications](https://docs.gitlab.com/api/project_integrations/#set-up-mattermost-notifications)
  * [Disable Mattermost notifications](https://docs.gitlab.com/api/project_integrations/#disable-mattermost-notifications)
  * [Get Mattermost notifications settings](https://docs.gitlab.com/api/project_integrations/#get-mattermost-notifications-settings)
  * [Mattermost slash commands](https://docs.gitlab.com/api/project_integrations/#mattermost-slash-commands)
  * [Set up Mattermost slash commands](https://docs.gitlab.com/api/project_integrations/#set-up-mattermost-slash-commands)
  * [Disable Mattermost slash commands](https://docs.gitlab.com/api/project_integrations/#disable-mattermost-slash-commands)
  * [Get Mattermost slash commands settings](https://docs.gitlab.com/api/project_integrations/#get-mattermost-slash-commands-settings)
  * [Microsoft Teams notifications](https://docs.gitlab.com/api/project_integrations/#microsoft-teams-notifications)
  * [Set up Microsoft Teams notifications](https://docs.gitlab.com/api/project_integrations/#set-up-microsoft-teams-notifications)
  * [Disable Microsoft Teams notifications](https://docs.gitlab.com/api/project_integrations/#disable-microsoft-teams-notifications)
  * [Get Microsoft Teams notifications settings](https://docs.gitlab.com/api/project_integrations/#get-microsoft-teams-notifications-settings)
  * [Mock CI](https://docs.gitlab.com/api/project_integrations/#mock-ci)
  * [Set up Mock CI](https://docs.gitlab.com/api/project_integrations/#set-up-mock-ci)
  * [Disable Mock CI](https://docs.gitlab.com/api/project_integrations/#disable-mock-ci)
  * [Get Mock CI settings](https://docs.gitlab.com/api/project_integrations/#get-mock-ci-settings)
  * [Packagist](https://docs.gitlab.com/api/project_integrations/#packagist)
  * [Set up Packagist](https://docs.gitlab.com/api/project_integrations/#set-up-packagist)
  * [Disable Packagist](https://docs.gitlab.com/api/project_integrations/#disable-packagist)
  * [Get Packagist settings](https://docs.gitlab.com/api/project_integrations/#get-packagist-settings)
  * [Phorge](https://docs.gitlab.com/api/project_integrations/#phorge)
  * [Set up Phorge](https://docs.gitlab.com/api/project_integrations/#set-up-phorge)
  * [Disable Phorge](https://docs.gitlab.com/api/project_integrations/#disable-phorge)
  * [Get Phorge settings](https://docs.gitlab.com/api/project_integrations/#get-phorge-settings)
  * [Pipeline status emails](https://docs.gitlab.com/api/project_integrations/#pipeline-status-emails)
  * [Set up pipeline status emails](https://docs.gitlab.com/api/project_integrations/#set-up-pipeline-status-emails)
  * [Disable pipeline status emails](https://docs.gitlab.com/api/project_integrations/#disable-pipeline-status-emails)
  * [Get pipeline status emails settings](https://docs.gitlab.com/api/project_integrations/#get-pipeline-status-emails-settings)
  * [Pivotal Tracker](https://docs.gitlab.com/api/project_integrations/#pivotal-tracker)
  * [Set up Pivotal Tracker](https://docs.gitlab.com/api/project_integrations/#set-up-pivotal-tracker)
  * [Disable Pivotal Tracker](https://docs.gitlab.com/api/project_integrations/#disable-pivotal-tracker)
  * [Get Pivotal Tracker settings](https://docs.gitlab.com/api/project_integrations/#get-pivotal-tracker-settings)
  * [Pumble](https://docs.gitlab.com/api/project_integrations/#pumble)
  * [Set up Pumble](https://docs.gitlab.com/api/project_integrations/#set-up-pumble)
  * [Disable Pumble](https://docs.gitlab.com/api/project_integrations/#disable-pumble)
  * [Get Pumble settings](https://docs.gitlab.com/api/project_integrations/#get-pumble-settings)
  * [Pushover](https://docs.gitlab.com/api/project_integrations/#pushover)
  * [Set up Pushover](https://docs.gitlab.com/api/project_integrations/#set-up-pushover)
  * [Disable Pushover](https://docs.gitlab.com/api/project_integrations/#disable-pushover)
  * [Get Pushover settings](https://docs.gitlab.com/api/project_integrations/#get-pushover-settings)
  * [Redmine](https://docs.gitlab.com/api/project_integrations/#redmine)
  * [Set up Redmine](https://docs.gitlab.com/api/project_integrations/#set-up-redmine)
  * [Disable Redmine](https://docs.gitlab.com/api/project_integrations/#disable-redmine)
  * [Get Redmine settings](https://docs.gitlab.com/api/project_integrations/#get-redmine-settings)
  * [Slack notifications](https://docs.gitlab.com/api/project_integrations/#slack-notifications)
  * [Set up Slack notifications](https://docs.gitlab.com/api/project_integrations/#set-up-slack-notifications)
  * [Disable Slack notifications](https://docs.gitlab.com/api/project_integrations/#disable-slack-notifications)
  * [Get Slack notifications settings](https://docs.gitlab.com/api/project_integrations/#get-slack-notifications-settings)
  * [Slack slash commands](https://docs.gitlab.com/api/project_integrations/#slack-slash-commands)
  * [Set up Slack slash commands](https://docs.gitlab.com/api/project_integrations/#set-up-slack-slash-commands)
  * [Disable Slack slash commands](https://docs.gitlab.com/api/project_integrations/#disable-slack-slash-commands)
  * [Get Slack slash commands settings](https://docs.gitlab.com/api/project_integrations/#get-slack-slash-commands-settings)
  * [Squash TM](https://docs.gitlab.com/api/project_integrations/#squash-tm)
  * [Set up Squash TM](https://docs.gitlab.com/api/project_integrations/#set-up-squash-tm)
  * [Disable Squash TM](https://docs.gitlab.com/api/project_integrations/#disable-squash-tm)
  * [Get Squash TM settings](https://docs.gitlab.com/api/project_integrations/#get-squash-tm-settings)
  * [Telegram](https://docs.gitlab.com/api/project_integrations/#telegram)
  * [Set up Telegram](https://docs.gitlab.com/api/project_integrations/#set-up-telegram)
  * [Disable Telegram](https://docs.gitlab.com/api/project_integrations/#disable-telegram)
  * [Get Telegram settings](https://docs.gitlab.com/api/project_integrations/#get-telegram-settings)
  * [Unify Circuit](https://docs.gitlab.com/api/project_integrations/#unify-circuit)
  * [Set up Unify Circuit](https://docs.gitlab.com/api/project_integrations/#set-up-unify-circuit)
  * [Disable Unify Circuit](https://docs.gitlab.com/api/project_integrations/#disable-unify-circuit)
  * [Get Unify Circuit settings](https://docs.gitlab.com/api/project_integrations/#get-unify-circuit-settings)
  * [Webex Teams](https://docs.gitlab.com/api/project_integrations/#webex-teams)
  * [Set up Webex Teams](https://docs.gitlab.com/api/project_integrations/#set-up-webex-teams)
  * [Disable Webex Teams](https://docs.gitlab.com/api/project_integrations/#disable-webex-teams)
  * [Get Webex Teams settings](https://docs.gitlab.com/api/project_integrations/#get-webex-teams-settings)
  * [YouTrack](https://docs.gitlab.com/api/project_integrations/#youtrack)
  * [Set up YouTrack](https://docs.gitlab.com/api/project_integrations/#set-up-youtrack)
  * [Disable YouTrack](https://docs.gitlab.com/api/project_integrations/#disable-youtrack)
  * [Get YouTrack settings](https://docs.gitlab.com/api/project_integrations/#get-youtrack-settings)


[![GitLab Docs logo](https://docs.gitlab.com/gitlab-logo-footer.svg)](https://docs.gitlab.com/)
  * [Facebook](https://www.facebook.com/gitlab)
  * [LinkedIn](https://www.linkedin.com/company/gitlab-com)
  * [Twitter](https://twitter.com/gitlab)
  * [YouTube](https://www.youtube.com/channel/UCnMGQ8QHMAnVIsI3xJrihhg)

[![Creative Commons License](https://docs.gitlab.com/by-sa.svg)](https://creativecommons.org/licenses/by-sa/4.0/)
Company
  * [About GitLab](https://about.gitlab.com/company/)
  * [View pricing](https://about.gitlab.com/pricing/)
  * [Try GitLab for free](https://about.gitlab.com/free-trial/)


Feedback
  * [View page source](https://gitlab.com/gitlab-org/gitlab/-/blob/master/doc/api/project_integrations.md)
  * [Edit in Web IDE](https://gitlab.com/-/ide/project/gitlab-org/gitlab/edit/master/-/doc/api/project_integrations.md)
  * [Contribute to GitLab](https://about.gitlab.com/community/contribute/)
  * [Suggest updates](https://gitlab.com/gitlab-org/gitlab/-/issues/new?issuable_template=Documentation)


Help & Community
  * [Get certified](https://university.gitlab.com/pages/certifications)
  * [Get support](https://about.gitlab.com/support/)
  * [Post on the GitLab forum](https://forum.gitlab.com/new-topic?title=topic%20title&body=topic%20body&tags=docs-feedback)


Resources
  * [Terms](https://about.gitlab.com/terms/)
  * [Privacy statement](https://about.gitlab.com/privacy/)
  * [Use of generative AI](https://docs.gitlab.com/legal/use_generative_ai/)
  * [Acceptable use of user licenses](https://docs.gitlab.com/legal/licensing_policy/)
  * Cookie Preferences


![](https://cdn.bizible.com/ipv?_biz_r=&_biz_h=800054037&_biz_u=10503924d6784ad3f2d352558587a67a&_biz_l=https%3A%2F%2Fdocs.gitlab.com%2Fapi%2Fproject_level_variables%2F&_biz_t=1772174415046&_biz_i=Project-level%20CI%2FCD%20variables%20API%20%7C%20GitLab%20Docs&_biz_n=127&rnd=519678&cdn_o=a&_biz_z=1772174415129)![](https://cdn.bizible.com/ipv?_biz_r=&_biz_h=800054037&_biz_u=10503924d6784ad3f2d352558587a67a&_biz_l=https%3A%2F%2Fdocs.gitlab.com%2Fapi%2Fproject_integrations%2F&_biz_t=1772174415127&_biz_i=Project%20integrations%20API%20%7C%20GitLab%20Docs&_biz_n=128&rnd=61577&cdn_o=a&_biz_z=1772174415129)
![Company Logo](https://cdn.cookielaw.org/logos/aa14a5c8-79e3-442a-8177-464ad850b19d/e46c1d0d-1f66-481f-bc06-5427671431da/253e6fee-c4c0-4b60-bc35-79cdae5dda32/gitlab-logo-100.png)
## Privacy Preference Center
## Privacy Preference Center
  * ### Your Privacy
  * ### Strictly Necessary Cookies
  * ### Functionality Cookies
  * ### Performance and Analytics Cookies
  * ### Targeting and Advertising Cookies
  * ### Ad User Data
  * ### Ad Personalization


#### Your Privacy
When you visit any website, it may store or retrieve information on your browser, mostly in the form of cookies. This information might be about you, your preferences or your device and is mostly used to make the site work as you expect it to. The information does not usually directly identify you, but it can give you a more personalized web experience. Because we respect your right to privacy, you can choose not to allow some types of cookies. Click on the different category headings to find out more and change our default settings. However, blocking some types of cookies may impact your experience of the site and the services we are able to offer.
[Cookie Policy](https://about.gitlab.com/privacy/cookies/)
**User ID:** 42fad8d5-ed56-4786-8d74-3c72635252d2
_This User ID will be used as a unique identifier while storing and accessing your preferences for future._
**Timestamp:** --
#### Strictly Necessary Cookies
Always Active
These cookies are necessary for the website to function and cannot be switched off in our systems. They are usually only set in response to actions made by you which amount to a request for services, such as setting your privacy preferences, enabling you to securely log into the site, filling in forms, or using the customer checkout. GitLab processes any personal data collected through these cookies on the basis of our legitimate interest.
Cookies Details
#### Functionality Cookies
Functionality Cookies
These cookies enable helpful but non-essential website functions that improve your website experience. By recognizing you when you return to our website, they may, for example, allow us to personalize our content for you or remember your preferences. If you do not allow these cookies then some or all of these services may not function properly. GitLab processes any personal data collected through these cookies on the basis of your consent
Cookies Details
#### Performance and Analytics Cookies
Performance and Analytics Cookies
These cookies allow us and our third-party service providers to recognize and count the number of visitors on our websites and to see how visitors move around our websites when they are using it. This helps us improve our products and ensures that users can easily find what they need on our websites. These cookies usually generate aggregate statistics that are not associated with an individual. To the extent any personal data is collected through these cookies, GitLab processes that data on the basis of your consent.
Cookies Details
#### Targeting and Advertising Cookies
Targeting and Advertising Cookies
These cookies enable different advertising related functions. They may allow us to record information about your visit to our websites, such as pages visited, links followed, and videos viewed so we can make our websites and the advertising displayed on it more relevant to your interests. They may be set through our website by our advertising partners. They may be used by those companies to build a profile of your interests and show you relevant advertisements on other websites. GitLab processes any personal data collected through these cookies on the basis of your consent.
Cookies Details
#### Ad User Data
Ad User Data
Sets consent for sending user data to Google for advertising purposes.
Cookies Details
#### Ad Personalization
Ad Personalization
Sets consent for personalized advertising.
Cookies Details
Back Button
### Cookie List
Filter Button
Consent Leg.Interest
checkbox label label
checkbox label label
checkbox label label
Clear
  * checkbox label label


Apply Cancel
Confirm My Choices
Allow All
[![Powered by Onetrust](https://cdn.cookielaw.org/logos/static/powered_by_logo.svg)](https://www.onetrust.com/products/cookie-consent/)
